/* Daemon.c generated by valac 0.42.5, the Vala compiler
 * generated from Daemon.vala, do not modify */

/*
 * Copyright 2018 elementary, Inc. (https://elementary.io)
 *           2014 Corentin Noël <corentin@elementary.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include <glib.h>
#include <glib-object.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <gee.h>
#include <libecal/libecal.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include "elementary-calendar.h"
#include <libedataserver/libedataserver.h>
#include <libical/ical.h>
#include <float.h>
#include <math.h>
#include <granite.h>


#define MAYA_TYPE_DAEMON (maya_daemon_get_type ())
#define MAYA_DAEMON(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_DAEMON, MayaDaemon))
#define MAYA_DAEMON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_DAEMON, MayaDaemonClass))
#define MAYA_IS_DAEMON(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_DAEMON))
#define MAYA_IS_DAEMON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_DAEMON))
#define MAYA_DAEMON_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_DAEMON, MayaDaemonClass))

typedef struct _MayaDaemon MayaDaemon;
typedef struct _MayaDaemonClass MayaDaemonClass;
typedef struct _MayaDaemonPrivate MayaDaemonPrivate;
enum  {
	MAYA_DAEMON_0_PROPERTY,
	MAYA_DAEMON_NUM_PROPERTIES
};
static GParamSpec* maya_daemon_properties[MAYA_DAEMON_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _Block1Data Block1Data;
typedef struct _Block2Data Block2Data;
typedef struct _Block3Data Block3Data;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _e_cal_component_alarm_free0(var) ((var == NULL) ? NULL : (var = (e_cal_component_alarm_free (var), NULL)))
typedef struct _Block4Data Block4Data;
typedef struct _MayaDaemonAddTimeoutData MayaDaemonAddTimeoutData;
#define _g_option_context_free0(var) ((var == NULL) ? NULL : (var = (g_option_context_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaDaemon {
	GApplication parent_instance;
	MayaDaemonPrivate * priv;
};

struct _MayaDaemonClass {
	GApplicationClass parent_class;
};

struct _MayaDaemonPrivate {
	GeeHashMap* event_uid;
};

struct _Block1Data {
	int _ref_count_;
	MayaDaemon* self;
	ESource* source;
	GeeCollection* events;
};

struct _Block2Data {
	int _ref_count_;
	MayaDaemon* self;
	ESource* source;
	GeeCollection* events;
};

struct _Block3Data {
	int _ref_count_;
	MayaDaemon* self;
	ESource* source;
	GeeCollection* events;
};

struct _Block4Data {
	int _ref_count_;
	MayaDaemon* self;
	gchar* uid;
	ESource* source;
	ECalComponent* event;
	gpointer _async_data_;
};

struct _MayaDaemonAddTimeoutData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	GAsyncReadyCallback _callback_;
	gboolean _task_complete_;
	MayaDaemon* self;
	ESource* source;
	ECalComponent* event;
	guint interval;
	Block4Data* _data4_;
	gchar* _tmp0_;
	GeeHashMap* _tmp1_;
};


extern gboolean maya_has_debug;
gboolean maya_has_debug = FALSE;
static gint MayaDaemon_private_offset;
static gpointer maya_daemon_parent_class = NULL;

GType maya_daemon_get_type (void) G_GNUC_CONST;
static void maya_daemon_real_activate (GApplication* base);
static void maya_daemon_load_today_events (MayaDaemon* self);
static void maya_daemon_on_events_added (MayaDaemon* self,
                                  ESource* source,
                                  GeeCollection* events);
static void _maya_daemon_on_events_added_maya_model_calendar_model_events_added (MayaModelCalendarModel* _sender,
                                                                          ESource* source,
                                                                          GeeCollection* events,
                                                                          gpointer self);
static void maya_daemon_on_events_updated (MayaDaemon* self,
                                    ESource* source,
                                    GeeCollection* events);
static void _maya_daemon_on_events_updated_maya_model_calendar_model_events_updated (MayaModelCalendarModel* _sender,
                                                                              ESource* source,
                                                                              GeeCollection* events,
                                                                              gpointer self);
static void maya_daemon_on_events_removed (MayaDaemon* self,
                                    ESource* source,
                                    GeeCollection* events);
static void _maya_daemon_on_events_removed_maya_model_calendar_model_events_removed (MayaModelCalendarModel* _sender,
                                                                              ESource* source,
                                                                              GeeCollection* events,
                                                                              gpointer self);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static gboolean __lambda4_ (Block1Data* _data1_);
static void maya_daemon_add_event (MayaDaemon* self,
                            ESource* source,
                            ECalComponent* event);
static gboolean ___lambda4__gsource_func (gpointer self);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static gboolean __lambda6_ (Block2Data* _data2_);
static void maya_daemon_update_event (MayaDaemon* self,
                               ESource* source,
                               ECalComponent* event);
static gboolean ___lambda6__gsource_func (gpointer self);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static gboolean __lambda7_ (Block3Data* _data3_);
static void maya_daemon_remove_event (MayaDaemon* self,
                               ESource* source,
                               ECalComponent* event);
static gboolean ___lambda7__gsource_func (gpointer self);
static GTimeSpan maya_daemon_time_until_now (MayaDaemon* self,
                                      GDateTime* dt);
void maya_daemon_add_timeout (MayaDaemon* self,
                              ESource* source,
                              ECalComponent* event,
                              guint interval,
                              GAsyncReadyCallback _callback_,
                              gpointer _user_data_);
void maya_daemon_add_timeout_finish (MayaDaemon* self,
                                     GAsyncResult* _res_);
static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
static void maya_daemon_add_timeout_data_free (gpointer _data);
static void maya_daemon_add_timeout_async_ready_wrapper (GObject *source_object,
                                                  GAsyncResult *res,
                                                  void *user_data);
static gboolean maya_daemon_add_timeout_co (MayaDaemonAddTimeoutData* _data_);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
static gboolean __lambda5_ (Block4Data* _data4_);
void maya_daemon_queue_event_notification (MayaDaemon* self,
                                           ECalComponent* event,
                                           const gchar* uid);
static gboolean ___lambda5__gsource_func (gpointer self);
MayaDaemon* maya_daemon_new (void);
MayaDaemon* maya_daemon_construct (GType object_type);
static GObject * maya_daemon_constructor (GType type,
                                   guint n_construct_properties,
                                   GObjectConstructParam * construct_properties);
static gboolean _maya_daemon___lambda8_ (MayaDaemon* self);
static gboolean __maya_daemon___lambda8__gsource_func (gpointer self);
static void maya_daemon_finalize (GObject * obj);
gint maya_main (gchar** args,
                int args_length1);

const GOptionEntry MAYA_options[2] = {{"debug", 'd', 0, G_OPTION_ARG_NONE, &maya_has_debug, N_ ("Print debug information"), NULL}, {NULL}};

static inline gpointer
maya_daemon_get_instance_private (MayaDaemon* self)
{
	return G_STRUCT_MEMBER_P (self, MayaDaemon_private_offset);
}


static void
maya_daemon_real_activate (GApplication* base)
{
	MayaDaemon * self;
#line 40 "../daemon/Daemon.vala"
	self = (MayaDaemon*) base;
#line 41 "../daemon/Daemon.vala"
	gtk_main ();
#line 230 "Daemon.c"
}


static void
_maya_daemon_on_events_added_maya_model_calendar_model_events_added (MayaModelCalendarModel* _sender,
                                                                     ESource* source,
                                                                     GeeCollection* events,
                                                                     gpointer self)
{
#line 47 "../daemon/Daemon.vala"
	maya_daemon_on_events_added ((MayaDaemon*) self, source, events);
#line 242 "Daemon.c"
}


static void
_maya_daemon_on_events_updated_maya_model_calendar_model_events_updated (MayaModelCalendarModel* _sender,
                                                                         ESource* source,
                                                                         GeeCollection* events,
                                                                         gpointer self)
{
#line 48 "../daemon/Daemon.vala"
	maya_daemon_on_events_updated ((MayaDaemon*) self, source, events);
#line 254 "Daemon.c"
}


static void
_maya_daemon_on_events_removed_maya_model_calendar_model_events_removed (MayaModelCalendarModel* _sender,
                                                                         ESource* source,
                                                                         GeeCollection* events,
                                                                         gpointer self)
{
#line 49 "../daemon/Daemon.vala"
	maya_daemon_on_events_removed ((MayaDaemon*) self, source, events);
#line 266 "Daemon.c"
}


static void
maya_daemon_load_today_events (MayaDaemon* self)
{
	GeeHashMap* _tmp0_;
	MayaModelCalendarModel* model = NULL;
	MayaModelCalendarModel* _tmp1_;
	GDateTime* _tmp2_;
	GDateTime* _tmp3_;
	GDateTime* _tmp4_;
#line 44 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 45 "../daemon/Daemon.vala"
	_tmp0_ = gee_hash_map_new (e_cal_component_get_type (), (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 45 "../daemon/Daemon.vala"
	_g_object_unref0 (self->priv->event_uid);
#line 45 "../daemon/Daemon.vala"
	self->priv->event_uid = _tmp0_;
#line 46 "../daemon/Daemon.vala"
	_tmp1_ = maya_model_calendar_model_get_default ();
#line 46 "../daemon/Daemon.vala"
	model = _tmp1_;
#line 47 "../daemon/Daemon.vala"
	g_signal_connect_object (model, "events-added", (GCallback) _maya_daemon_on_events_added_maya_model_calendar_model_events_added, self, 0);
#line 48 "../daemon/Daemon.vala"
	g_signal_connect_object (model, "events-updated", (GCallback) _maya_daemon_on_events_updated_maya_model_calendar_model_events_updated, self, 0);
#line 49 "../daemon/Daemon.vala"
	g_signal_connect_object (model, "events-removed", (GCallback) _maya_daemon_on_events_removed_maya_model_calendar_model_events_removed, self, 0);
#line 50 "../daemon/Daemon.vala"
	_tmp2_ = g_date_time_new_now_local ();
#line 50 "../daemon/Daemon.vala"
	_tmp3_ = maya_util_get_start_of_month (_tmp2_);
#line 50 "../daemon/Daemon.vala"
	_tmp4_ = _tmp3_;
#line 50 "../daemon/Daemon.vala"
	maya_model_calendar_model_set_month_start (model, _tmp4_);
#line 50 "../daemon/Daemon.vala"
	_g_date_time_unref0 (_tmp4_);
#line 44 "../daemon/Daemon.vala"
	_g_object_unref0 (model);
#line 309 "Daemon.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 53 "../daemon/Daemon.vala"
	return self ? g_object_ref (self) : NULL;
#line 318 "Daemon.c"
}


static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 53 "../daemon/Daemon.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 53 "../daemon/Daemon.vala"
	return _data1_;
#line 329 "Daemon.c"
}


static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 53 "../daemon/Daemon.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 340 "Daemon.c"
		MayaDaemon* self;
#line 53 "../daemon/Daemon.vala"
		self = _data1_->self;
#line 53 "../daemon/Daemon.vala"
		_g_object_unref0 (_data1_->source);
#line 53 "../daemon/Daemon.vala"
		_g_object_unref0 (_data1_->events);
#line 53 "../daemon/Daemon.vala"
		_g_object_unref0 (self);
#line 53 "../daemon/Daemon.vala"
		g_slice_free (Block1Data, _data1_);
#line 352 "Daemon.c"
	}
}


static gboolean
__lambda4_ (Block1Data* _data1_)
{
	MayaDaemon* self;
	gboolean result = FALSE;
#line 59 "../daemon/Daemon.vala"
	self = _data1_->self;
#line 364 "Daemon.c"
	{
		GeeIterator* _event_it = NULL;
		GeeIterator* _tmp0_;
#line 60 "../daemon/Daemon.vala"
		_tmp0_ = gee_iterable_iterator ((GeeIterable*) _data1_->events);
#line 60 "../daemon/Daemon.vala"
		_event_it = _tmp0_;
#line 60 "../daemon/Daemon.vala"
		while (TRUE) {
#line 374 "Daemon.c"
			GeeIterator* _tmp1_;
			ECalComponent* event = NULL;
			GeeIterator* _tmp2_;
			gpointer _tmp3_;
			ECalComponent* _tmp4_;
#line 60 "../daemon/Daemon.vala"
			_tmp1_ = _event_it;
#line 60 "../daemon/Daemon.vala"
			if (!gee_iterator_next (_tmp1_)) {
#line 60 "../daemon/Daemon.vala"
				break;
#line 386 "Daemon.c"
			}
#line 60 "../daemon/Daemon.vala"
			_tmp2_ = _event_it;
#line 60 "../daemon/Daemon.vala"
			_tmp3_ = gee_iterator_get (_tmp2_);
#line 60 "../daemon/Daemon.vala"
			event = (ECalComponent*) _tmp3_;
#line 61 "../daemon/Daemon.vala"
			_tmp4_ = event;
#line 61 "../daemon/Daemon.vala"
			maya_daemon_add_event (self, _data1_->source, _tmp4_);
#line 60 "../daemon/Daemon.vala"
			_g_object_unref0 (event);
#line 400 "Daemon.c"
		}
#line 60 "../daemon/Daemon.vala"
		_g_object_unref0 (_event_it);
#line 404 "Daemon.c"
	}
#line 63 "../daemon/Daemon.vala"
	result = FALSE;
#line 63 "../daemon/Daemon.vala"
	return result;
#line 410 "Daemon.c"
}


static gboolean
___lambda4__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda4_ (self);
#line 59 "../daemon/Daemon.vala"
	return result;
#line 421 "Daemon.c"
}


static void
maya_daemon_on_events_added (MayaDaemon* self,
                             ESource* source,
                             GeeCollection* events)
{
	Block1Data* _data1_;
	ESource* _tmp0_;
	GeeCollection* _tmp1_;
	ESourceAlarms* extension = NULL;
	ESourceExtension* _tmp2_;
	ESourceAlarms* _tmp3_;
	ESourceAlarms* _tmp4_;
#line 53 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 53 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 53 "../daemon/Daemon.vala"
	g_return_if_fail (events != NULL);
#line 53 "../daemon/Daemon.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 53 "../daemon/Daemon.vala"
	_data1_->_ref_count_ = 1;
#line 53 "../daemon/Daemon.vala"
	_data1_->self = g_object_ref (self);
#line 53 "../daemon/Daemon.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 53 "../daemon/Daemon.vala"
	_g_object_unref0 (_data1_->source);
#line 53 "../daemon/Daemon.vala"
	_data1_->source = _tmp0_;
#line 53 "../daemon/Daemon.vala"
	_tmp1_ = _g_object_ref0 (events);
#line 53 "../daemon/Daemon.vala"
	_g_object_unref0 (_data1_->events);
#line 53 "../daemon/Daemon.vala"
	_data1_->events = _tmp1_;
#line 54 "../daemon/Daemon.vala"
	_tmp2_ = e_source_get_extension (_data1_->source, E_SOURCE_EXTENSION_ALARMS);
#line 54 "../daemon/Daemon.vala"
	_tmp3_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, e_source_alarms_get_type (), ESourceAlarms));
#line 54 "../daemon/Daemon.vala"
	extension = _tmp3_;
#line 55 "../daemon/Daemon.vala"
	_tmp4_ = extension;
#line 55 "../daemon/Daemon.vala"
	if (e_source_alarms_get_include_me (_tmp4_) == FALSE) {
#line 56 "../daemon/Daemon.vala"
		_g_object_unref0 (extension);
#line 56 "../daemon/Daemon.vala"
		block1_data_unref (_data1_);
#line 56 "../daemon/Daemon.vala"
		_data1_ = NULL;
#line 56 "../daemon/Daemon.vala"
		return;
#line 479 "Daemon.c"
	}
#line 59 "../daemon/Daemon.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda4__gsource_func, block1_data_ref (_data1_), block1_data_unref);
#line 53 "../daemon/Daemon.vala"
	_g_object_unref0 (extension);
#line 53 "../daemon/Daemon.vala"
	block1_data_unref (_data1_);
#line 53 "../daemon/Daemon.vala"
	_data1_ = NULL;
#line 489 "Daemon.c"
}


static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 67 "../daemon/Daemon.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 67 "../daemon/Daemon.vala"
	return _data2_;
#line 500 "Daemon.c"
}


static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 67 "../daemon/Daemon.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 511 "Daemon.c"
		MayaDaemon* self;
#line 67 "../daemon/Daemon.vala"
		self = _data2_->self;
#line 67 "../daemon/Daemon.vala"
		_g_object_unref0 (_data2_->source);
#line 67 "../daemon/Daemon.vala"
		_g_object_unref0 (_data2_->events);
#line 67 "../daemon/Daemon.vala"
		_g_object_unref0 (self);
#line 67 "../daemon/Daemon.vala"
		g_slice_free (Block2Data, _data2_);
#line 523 "Daemon.c"
	}
}


static gboolean
__lambda6_ (Block2Data* _data2_)
{
	MayaDaemon* self;
	gboolean result = FALSE;
#line 68 "../daemon/Daemon.vala"
	self = _data2_->self;
#line 535 "Daemon.c"
	{
		GeeIterator* _event_it = NULL;
		GeeIterator* _tmp0_;
#line 69 "../daemon/Daemon.vala"
		_tmp0_ = gee_iterable_iterator ((GeeIterable*) _data2_->events);
#line 69 "../daemon/Daemon.vala"
		_event_it = _tmp0_;
#line 69 "../daemon/Daemon.vala"
		while (TRUE) {
#line 545 "Daemon.c"
			GeeIterator* _tmp1_;
			ECalComponent* event = NULL;
			GeeIterator* _tmp2_;
			gpointer _tmp3_;
			ECalComponent* _tmp4_;
#line 69 "../daemon/Daemon.vala"
			_tmp1_ = _event_it;
#line 69 "../daemon/Daemon.vala"
			if (!gee_iterator_next (_tmp1_)) {
#line 69 "../daemon/Daemon.vala"
				break;
#line 557 "Daemon.c"
			}
#line 69 "../daemon/Daemon.vala"
			_tmp2_ = _event_it;
#line 69 "../daemon/Daemon.vala"
			_tmp3_ = gee_iterator_get (_tmp2_);
#line 69 "../daemon/Daemon.vala"
			event = (ECalComponent*) _tmp3_;
#line 70 "../daemon/Daemon.vala"
			_tmp4_ = event;
#line 70 "../daemon/Daemon.vala"
			maya_daemon_update_event (self, _data2_->source, _tmp4_);
#line 69 "../daemon/Daemon.vala"
			_g_object_unref0 (event);
#line 571 "Daemon.c"
		}
#line 69 "../daemon/Daemon.vala"
		_g_object_unref0 (_event_it);
#line 575 "Daemon.c"
	}
#line 72 "../daemon/Daemon.vala"
	result = FALSE;
#line 72 "../daemon/Daemon.vala"
	return result;
#line 581 "Daemon.c"
}


static gboolean
___lambda6__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda6_ (self);
#line 68 "../daemon/Daemon.vala"
	return result;
#line 592 "Daemon.c"
}


static void
maya_daemon_on_events_updated (MayaDaemon* self,
                               ESource* source,
                               GeeCollection* events)
{
	Block2Data* _data2_;
	ESource* _tmp0_;
	GeeCollection* _tmp1_;
#line 67 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 67 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 67 "../daemon/Daemon.vala"
	g_return_if_fail (events != NULL);
#line 67 "../daemon/Daemon.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 67 "../daemon/Daemon.vala"
	_data2_->_ref_count_ = 1;
#line 67 "../daemon/Daemon.vala"
	_data2_->self = g_object_ref (self);
#line 67 "../daemon/Daemon.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 67 "../daemon/Daemon.vala"
	_g_object_unref0 (_data2_->source);
#line 67 "../daemon/Daemon.vala"
	_data2_->source = _tmp0_;
#line 67 "../daemon/Daemon.vala"
	_tmp1_ = _g_object_ref0 (events);
#line 67 "../daemon/Daemon.vala"
	_g_object_unref0 (_data2_->events);
#line 67 "../daemon/Daemon.vala"
	_data2_->events = _tmp1_;
#line 68 "../daemon/Daemon.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda6__gsource_func, block2_data_ref (_data2_), block2_data_unref);
#line 67 "../daemon/Daemon.vala"
	block2_data_unref (_data2_);
#line 67 "../daemon/Daemon.vala"
	_data2_ = NULL;
#line 634 "Daemon.c"
}


static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 76 "../daemon/Daemon.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 76 "../daemon/Daemon.vala"
	return _data3_;
#line 645 "Daemon.c"
}


static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 76 "../daemon/Daemon.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 656 "Daemon.c"
		MayaDaemon* self;
#line 76 "../daemon/Daemon.vala"
		self = _data3_->self;
#line 76 "../daemon/Daemon.vala"
		_g_object_unref0 (_data3_->source);
#line 76 "../daemon/Daemon.vala"
		_g_object_unref0 (_data3_->events);
#line 76 "../daemon/Daemon.vala"
		_g_object_unref0 (self);
#line 76 "../daemon/Daemon.vala"
		g_slice_free (Block3Data, _data3_);
#line 668 "Daemon.c"
	}
}


static gboolean
__lambda7_ (Block3Data* _data3_)
{
	MayaDaemon* self;
	gboolean result = FALSE;
#line 77 "../daemon/Daemon.vala"
	self = _data3_->self;
#line 680 "Daemon.c"
	{
		GeeIterator* _event_it = NULL;
		GeeIterator* _tmp0_;
#line 78 "../daemon/Daemon.vala"
		_tmp0_ = gee_iterable_iterator ((GeeIterable*) _data3_->events);
#line 78 "../daemon/Daemon.vala"
		_event_it = _tmp0_;
#line 78 "../daemon/Daemon.vala"
		while (TRUE) {
#line 690 "Daemon.c"
			GeeIterator* _tmp1_;
			ECalComponent* event = NULL;
			GeeIterator* _tmp2_;
			gpointer _tmp3_;
			ECalComponent* _tmp4_;
#line 78 "../daemon/Daemon.vala"
			_tmp1_ = _event_it;
#line 78 "../daemon/Daemon.vala"
			if (!gee_iterator_next (_tmp1_)) {
#line 78 "../daemon/Daemon.vala"
				break;
#line 702 "Daemon.c"
			}
#line 78 "../daemon/Daemon.vala"
			_tmp2_ = _event_it;
#line 78 "../daemon/Daemon.vala"
			_tmp3_ = gee_iterator_get (_tmp2_);
#line 78 "../daemon/Daemon.vala"
			event = (ECalComponent*) _tmp3_;
#line 79 "../daemon/Daemon.vala"
			_tmp4_ = event;
#line 79 "../daemon/Daemon.vala"
			maya_daemon_remove_event (self, _data3_->source, _tmp4_);
#line 78 "../daemon/Daemon.vala"
			_g_object_unref0 (event);
#line 716 "Daemon.c"
		}
#line 78 "../daemon/Daemon.vala"
		_g_object_unref0 (_event_it);
#line 720 "Daemon.c"
	}
#line 81 "../daemon/Daemon.vala"
	result = FALSE;
#line 81 "../daemon/Daemon.vala"
	return result;
#line 726 "Daemon.c"
}


static gboolean
___lambda7__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda7_ (self);
#line 77 "../daemon/Daemon.vala"
	return result;
#line 737 "Daemon.c"
}


static void
maya_daemon_on_events_removed (MayaDaemon* self,
                               ESource* source,
                               GeeCollection* events)
{
	Block3Data* _data3_;
	ESource* _tmp0_;
	GeeCollection* _tmp1_;
#line 76 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 76 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 76 "../daemon/Daemon.vala"
	g_return_if_fail (events != NULL);
#line 76 "../daemon/Daemon.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 76 "../daemon/Daemon.vala"
	_data3_->_ref_count_ = 1;
#line 76 "../daemon/Daemon.vala"
	_data3_->self = g_object_ref (self);
#line 76 "../daemon/Daemon.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 76 "../daemon/Daemon.vala"
	_g_object_unref0 (_data3_->source);
#line 76 "../daemon/Daemon.vala"
	_data3_->source = _tmp0_;
#line 76 "../daemon/Daemon.vala"
	_tmp1_ = _g_object_ref0 (events);
#line 76 "../daemon/Daemon.vala"
	_g_object_unref0 (_data3_->events);
#line 76 "../daemon/Daemon.vala"
	_data3_->events = _tmp1_;
#line 77 "../daemon/Daemon.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda7__gsource_func, block3_data_ref (_data3_), block3_data_unref);
#line 76 "../daemon/Daemon.vala"
	block3_data_unref (_data3_);
#line 76 "../daemon/Daemon.vala"
	_data3_ = NULL;
#line 779 "Daemon.c"
}


static void
_g_free0_ (gpointer var)
{
#line 88 "../daemon/Daemon.vala"
	var = (g_free (var), NULL);
#line 788 "Daemon.c"
}


static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 88 "../daemon/Daemon.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 797 "Daemon.c"
}


static void
maya_daemon_add_event (MayaDaemon* self,
                       ESource* source,
                       ECalComponent* event)
{
	icalcomponent* comp = NULL;
	icalcomponent* _tmp0_;
	icalcomponent* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	icalcomponent* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	GList* _tmp9_;
#line 85 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 85 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 85 "../daemon/Daemon.vala"
	g_return_if_fail (event != NULL);
#line 86 "../daemon/Daemon.vala"
	_tmp0_ = e_cal_component_get_icalcomponent (event);
#line 86 "../daemon/Daemon.vala"
	comp = _tmp0_;
#line 87 "../daemon/Daemon.vala"
	_tmp1_ = comp;
#line 87 "../daemon/Daemon.vala"
	_tmp2_ = icalcomponent_get_summary (_tmp1_);
#line 87 "../daemon/Daemon.vala"
	_tmp3_ = e_source_dup_display_name (source);
#line 87 "../daemon/Daemon.vala"
	_tmp4_ = _tmp3_;
#line 87 "../daemon/Daemon.vala"
	_tmp5_ = comp;
#line 87 "../daemon/Daemon.vala"
	_tmp6_ = icalcomponent_get_uid (_tmp5_);
#line 87 "../daemon/Daemon.vala"
	_tmp7_ = g_strdup_printf ("Event [%s, %s, %s]", _tmp2_, _tmp4_, _tmp6_);
#line 87 "../daemon/Daemon.vala"
	_tmp8_ = _tmp7_;
#line 87 "../daemon/Daemon.vala"
	g_debug ("Daemon.vala:87: %s", _tmp8_);
#line 87 "../daemon/Daemon.vala"
	_g_free0 (_tmp8_);
#line 87 "../daemon/Daemon.vala"
	_g_free0 (_tmp4_);
#line 88 "../daemon/Daemon.vala"
	_tmp9_ = e_cal_component_get_alarm_uids (event);
#line 851 "Daemon.c"
	{
		GList* alarm_uid_collection = NULL;
		GList* alarm_uid_it = NULL;
#line 88 "../daemon/Daemon.vala"
		alarm_uid_collection = _tmp9_;
#line 88 "../daemon/Daemon.vala"
		for (alarm_uid_it = alarm_uid_collection; alarm_uid_it != NULL; alarm_uid_it = alarm_uid_it->next) {
#line 859 "Daemon.c"
			gchar* _tmp10_;
			gchar* alarm_uid = NULL;
#line 88 "../daemon/Daemon.vala"
			_tmp10_ = g_strdup ((const gchar*) alarm_uid_it->data);
#line 88 "../daemon/Daemon.vala"
			alarm_uid = _tmp10_;
#line 866 "Daemon.c"
			{
				ECalComponentAlarm* e_alarm = NULL;
				const gchar* _tmp11_;
				ECalComponentAlarm* _tmp12_;
				ECalComponentAlarmAction action = 0;
				ECalComponentAlarm* _tmp13_;
				ECalComponentAlarmAction _tmp14_ = 0;
				ECalComponentAlarmAction _tmp15_;
#line 89 "../daemon/Daemon.vala"
				_tmp11_ = alarm_uid;
#line 89 "../daemon/Daemon.vala"
				_tmp12_ = e_cal_component_get_alarm (event, _tmp11_);
#line 89 "../daemon/Daemon.vala"
				e_alarm = _tmp12_;
#line 91 "../daemon/Daemon.vala"
				_tmp13_ = e_alarm;
#line 91 "../daemon/Daemon.vala"
				e_cal_component_alarm_get_action (_tmp13_, &_tmp14_);
#line 91 "../daemon/Daemon.vala"
				action = _tmp14_;
#line 92 "../daemon/Daemon.vala"
				_tmp15_ = action;
#line 92 "../daemon/Daemon.vala"
				switch (_tmp15_) {
#line 92 "../daemon/Daemon.vala"
					case E_CAL_COMPONENT_ALARM_DISPLAY:
#line 893 "Daemon.c"
					{
						ECalComponentAlarmTrigger trigger = {0};
						ECalComponentAlarm* _tmp16_;
						ECalComponentAlarmTrigger _tmp17_ = {0};
						ECalComponentAlarmTrigger _tmp18_;
						ECalComponentAlarmTriggerType _tmp19_;
#line 95 "../daemon/Daemon.vala"
						_tmp16_ = e_alarm;
#line 95 "../daemon/Daemon.vala"
						e_cal_component_alarm_get_trigger (_tmp16_, &_tmp17_);
#line 95 "../daemon/Daemon.vala"
						trigger = _tmp17_;
#line 96 "../daemon/Daemon.vala"
						_tmp18_ = trigger;
#line 96 "../daemon/Daemon.vala"
						_tmp19_ = _tmp18_.type;
#line 96 "../daemon/Daemon.vala"
						if (_tmp19_ == E_CAL_COMPONENT_ALARM_TRIGGER_RELATIVE_START) {
#line 912 "Daemon.c"
							struct icaldurationtype duration = {0};
							ECalComponentAlarmTrigger _tmp20_;
							struct icaldurationtype _tmp21_;
							GDateTime* start_time = NULL;
							icalcomponent* _tmp22_;
							GDateTime* _tmp23_;
							GDateTime* now = NULL;
							GDateTime* _tmp24_;
							GDateTime* _tmp25_;
							GDateTime* _tmp26_;
							GDateTime* _tmp27_;
							struct icaldurationtype _tmp28_;
							guint _tmp29_;
							GDateTime* _tmp30_;
							GDateTime* _tmp31_;
							struct icaldurationtype _tmp32_;
							guint _tmp33_;
							GDateTime* _tmp34_;
							GDateTime* _tmp35_;
							struct icaldurationtype _tmp36_;
							guint _tmp37_;
							GDateTime* _tmp38_;
							GDateTime* _tmp39_;
							struct icaldurationtype _tmp40_;
							guint _tmp41_;
							GDateTime* _tmp42_;
							GDateTime* _tmp43_;
							struct icaldurationtype _tmp44_;
							guint _tmp45_;
							GDateTime* _tmp46_;
							gboolean _tmp47_ = FALSE;
							GDateTime* _tmp48_;
							GDateTime* _tmp49_;
#line 97 "../daemon/Daemon.vala"
							_tmp20_ = trigger;
#line 97 "../daemon/Daemon.vala"
							_tmp21_ = _tmp20_.u.rel_duration;
#line 97 "../daemon/Daemon.vala"
							duration = _tmp21_;
#line 98 "../daemon/Daemon.vala"
							_tmp22_ = comp;
#line 98 "../daemon/Daemon.vala"
							_tmp23_ = maya_util_ical_to_date_time (icalcomponent_get_dtstart (_tmp22_));
#line 98 "../daemon/Daemon.vala"
							start_time = _tmp23_;
#line 99 "../daemon/Daemon.vala"
							_tmp24_ = g_date_time_new_now_local ();
#line 99 "../daemon/Daemon.vala"
							now = _tmp24_;
#line 100 "../daemon/Daemon.vala"
							_tmp25_ = now;
#line 100 "../daemon/Daemon.vala"
							_tmp26_ = start_time;
#line 100 "../daemon/Daemon.vala"
							if (g_date_time_compare (_tmp25_, _tmp26_) > 0) {
#line 101 "../daemon/Daemon.vala"
								_g_date_time_unref0 (now);
#line 101 "../daemon/Daemon.vala"
								_g_date_time_unref0 (start_time);
#line 101 "../daemon/Daemon.vala"
								continue;
#line 974 "Daemon.c"
							}
#line 103 "../daemon/Daemon.vala"
							_tmp27_ = start_time;
#line 103 "../daemon/Daemon.vala"
							_tmp28_ = duration;
#line 103 "../daemon/Daemon.vala"
							_tmp29_ = _tmp28_.weeks;
#line 103 "../daemon/Daemon.vala"
							_tmp30_ = g_date_time_add_weeks (_tmp27_, -((gint) _tmp29_));
#line 103 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 103 "../daemon/Daemon.vala"
							start_time = _tmp30_;
#line 104 "../daemon/Daemon.vala"
							_tmp31_ = start_time;
#line 104 "../daemon/Daemon.vala"
							_tmp32_ = duration;
#line 104 "../daemon/Daemon.vala"
							_tmp33_ = _tmp32_.days;
#line 104 "../daemon/Daemon.vala"
							_tmp34_ = g_date_time_add_days (_tmp31_, -((gint) _tmp33_));
#line 104 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 104 "../daemon/Daemon.vala"
							start_time = _tmp34_;
#line 105 "../daemon/Daemon.vala"
							_tmp35_ = start_time;
#line 105 "../daemon/Daemon.vala"
							_tmp36_ = duration;
#line 105 "../daemon/Daemon.vala"
							_tmp37_ = _tmp36_.hours;
#line 105 "../daemon/Daemon.vala"
							_tmp38_ = g_date_time_add_hours (_tmp35_, -((gint) _tmp37_));
#line 105 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 105 "../daemon/Daemon.vala"
							start_time = _tmp38_;
#line 106 "../daemon/Daemon.vala"
							_tmp39_ = start_time;
#line 106 "../daemon/Daemon.vala"
							_tmp40_ = duration;
#line 106 "../daemon/Daemon.vala"
							_tmp41_ = _tmp40_.minutes;
#line 106 "../daemon/Daemon.vala"
							_tmp42_ = g_date_time_add_minutes (_tmp39_, -((gint) _tmp41_));
#line 106 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 106 "../daemon/Daemon.vala"
							start_time = _tmp42_;
#line 107 "../daemon/Daemon.vala"
							_tmp43_ = start_time;
#line 107 "../daemon/Daemon.vala"
							_tmp44_ = duration;
#line 107 "../daemon/Daemon.vala"
							_tmp45_ = _tmp44_.seconds;
#line 107 "../daemon/Daemon.vala"
							_tmp46_ = g_date_time_add_seconds (_tmp43_, (gdouble) (-((gint) _tmp45_)));
#line 107 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 107 "../daemon/Daemon.vala"
							start_time = _tmp46_;
#line 108 "../daemon/Daemon.vala"
							_tmp48_ = start_time;
#line 108 "../daemon/Daemon.vala"
							_tmp49_ = now;
#line 108 "../daemon/Daemon.vala"
							if (g_date_time_get_year (_tmp48_) == g_date_time_get_year (_tmp49_)) {
#line 1042 "Daemon.c"
								GDateTime* _tmp50_;
								GDateTime* _tmp51_;
#line 108 "../daemon/Daemon.vala"
								_tmp50_ = start_time;
#line 108 "../daemon/Daemon.vala"
								_tmp51_ = now;
#line 108 "../daemon/Daemon.vala"
								_tmp47_ = g_date_time_get_day_of_year (_tmp50_) == g_date_time_get_day_of_year (_tmp51_);
#line 1051 "Daemon.c"
							} else {
#line 108 "../daemon/Daemon.vala"
								_tmp47_ = FALSE;
#line 1055 "Daemon.c"
							}
#line 108 "../daemon/Daemon.vala"
							if (_tmp47_) {
#line 1059 "Daemon.c"
								GTimeSpan time = 0LL;
								GDateTime* _tmp52_;
								GTimeSpan _tmp53_;
#line 109 "../daemon/Daemon.vala"
								_tmp52_ = start_time;
#line 109 "../daemon/Daemon.vala"
								time = maya_daemon_time_until_now (self, _tmp52_);
#line 110 "../daemon/Daemon.vala"
								_tmp53_ = time;
#line 110 "../daemon/Daemon.vala"
								if (_tmp53_ >= ((GTimeSpan) 0)) {
#line 1071 "Daemon.c"
									GTimeSpan _tmp54_;
#line 111 "../daemon/Daemon.vala"
									_tmp54_ = time;
#line 111 "../daemon/Daemon.vala"
									maya_daemon_add_timeout (self, source, event, (guint) _tmp54_, NULL, NULL);
#line 1077 "Daemon.c"
								}
							}
#line 96 "../daemon/Daemon.vala"
							_g_date_time_unref0 (now);
#line 96 "../daemon/Daemon.vala"
							_g_date_time_unref0 (start_time);
#line 1084 "Daemon.c"
						}
#line 115 "../daemon/Daemon.vala"
						continue;
#line 1088 "Daemon.c"
					}
					default:
					{
#line 117 "../daemon/Daemon.vala"
						continue;
#line 1094 "Daemon.c"
					}
				}
#line 88 "../daemon/Daemon.vala"
				_e_cal_component_alarm_free0 (e_alarm);
#line 88 "../daemon/Daemon.vala"
				_g_free0 (alarm_uid);
#line 1101 "Daemon.c"
			}
		}
#line 88 "../daemon/Daemon.vala"
		(alarm_uid_collection == NULL) ? NULL : (alarm_uid_collection = (_g_list_free__g_free0_ (alarm_uid_collection), NULL));
#line 1106 "Daemon.c"
	}
}


static void
maya_daemon_add_timeout_data_free (gpointer _data)
{
	MayaDaemonAddTimeoutData* _data_;
	_data_ = _data;
#line 28 "../daemon/Daemon.vala"
	_g_object_unref0 (_data_->self);
#line 28 "../daemon/Daemon.vala"
	g_slice_free (MayaDaemonAddTimeoutData, _data_);
#line 1120 "Daemon.c"
}


static void
maya_daemon_add_timeout_async_ready_wrapper (GObject *source_object,
                                             GAsyncResult *res,
                                             void *user_data)
{
	MayaDaemonAddTimeoutData* _task_data_;
#line 28 "../daemon/Daemon.vala"
	_task_data_ = g_task_get_task_data (G_TASK (res));
#line 28 "../daemon/Daemon.vala"
	if (_task_data_->_callback_ != NULL) {
#line 28 "../daemon/Daemon.vala"
		_task_data_->_callback_ (source_object, res, user_data);
#line 1136 "Daemon.c"
	}
#line 28 "../daemon/Daemon.vala"
	_task_data_->_task_complete_ = TRUE;
#line 1140 "Daemon.c"
}


void
maya_daemon_add_timeout (MayaDaemon* self,
                         ESource* source,
                         ECalComponent* event,
                         guint interval,
                         GAsyncReadyCallback _callback_,
                         gpointer _user_data_)
{
	MayaDaemonAddTimeoutData* _data_;
	MayaDaemon* _tmp0_;
	ESource* _tmp1_;
	ECalComponent* _tmp2_;
#line 28 "../daemon/Daemon.vala"
	_data_ = g_slice_new0 (MayaDaemonAddTimeoutData);
#line 28 "../daemon/Daemon.vala"
	_data_->_callback_ = _callback_;
#line 28 "../daemon/Daemon.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, maya_daemon_add_timeout_async_ready_wrapper, _user_data_);
#line 28 "../daemon/Daemon.vala"
	if (_callback_ == NULL) {
#line 28 "../daemon/Daemon.vala"
		_data_->_task_complete_ = TRUE;
#line 1166 "Daemon.c"
	}
#line 28 "../daemon/Daemon.vala"
	g_task_set_task_data (_data_->_async_result, _data_, maya_daemon_add_timeout_data_free);
#line 28 "../daemon/Daemon.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 28 "../daemon/Daemon.vala"
	_data_->self = _tmp0_;
#line 28 "../daemon/Daemon.vala"
	_tmp1_ = _g_object_ref0 (source);
#line 28 "../daemon/Daemon.vala"
	_g_object_unref0 (_data_->source);
#line 28 "../daemon/Daemon.vala"
	_data_->source = _tmp1_;
#line 28 "../daemon/Daemon.vala"
	_tmp2_ = _g_object_ref0 (event);
#line 28 "../daemon/Daemon.vala"
	_g_object_unref0 (_data_->event);
#line 28 "../daemon/Daemon.vala"
	_data_->event = _tmp2_;
#line 28 "../daemon/Daemon.vala"
	_data_->interval = interval;
#line 28 "../daemon/Daemon.vala"
	maya_daemon_add_timeout_co (_data_);
#line 1190 "Daemon.c"
}


void
maya_daemon_add_timeout_finish (MayaDaemon* self,
                                GAsyncResult* _res_)
{
	MayaDaemonAddTimeoutData* _data_;
#line 28 "../daemon/Daemon.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 1201 "Daemon.c"
}


static Block4Data*
block4_data_ref (Block4Data* _data4_)
{
#line 122 "../daemon/Daemon.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 122 "../daemon/Daemon.vala"
	return _data4_;
#line 1212 "Daemon.c"
}


static void
block4_data_unref (void * _userdata_)
{
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 122 "../daemon/Daemon.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 1223 "Daemon.c"
		MayaDaemon* self;
#line 122 "../daemon/Daemon.vala"
		self = _data4_->self;
#line 122 "../daemon/Daemon.vala"
		_g_free0 (_data4_->uid);
#line 122 "../daemon/Daemon.vala"
		_g_object_unref0 (_data4_->source);
#line 122 "../daemon/Daemon.vala"
		_g_object_unref0 (_data4_->event);
#line 122 "../daemon/Daemon.vala"
		_g_object_unref0 (self);
#line 122 "../daemon/Daemon.vala"
		g_slice_free (Block4Data, _data4_);
#line 1237 "Daemon.c"
	}
}


static gchar*
g_date_time_to_string (GDateTime* self)
{
	gchar* result = NULL;
	gchar* _tmp0_;
#line 3019 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 3020 "glib-2.0.vapi"
	_tmp0_ = g_date_time_format (self, "%FT%H:%M:%S%z");
#line 3020 "glib-2.0.vapi"
	result = _tmp0_;
#line 3020 "glib-2.0.vapi"
	return result;
#line 1255 "Daemon.c"
}


static gboolean
__lambda5_ (Block4Data* _data4_)
{
	MayaDaemon* self;
	gboolean result = FALSE;
	ESourceAlarms* extension = NULL;
	ESourceExtension* _tmp0_;
	ESourceAlarms* _tmp1_;
	ESourceAlarms* _tmp2_;
#line 126 "../daemon/Daemon.vala"
	self = _data4_->self;
#line 127 "../daemon/Daemon.vala"
	_tmp0_ = e_source_get_extension (_data4_->source, E_SOURCE_EXTENSION_ALARMS);
#line 127 "../daemon/Daemon.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, e_source_alarms_get_type (), ESourceAlarms));
#line 127 "../daemon/Daemon.vala"
	extension = _tmp1_;
#line 128 "../daemon/Daemon.vala"
	_tmp2_ = extension;
#line 128 "../daemon/Daemon.vala"
	if (_tmp2_ != NULL) {
#line 1280 "Daemon.c"
		ESourceAlarms* _tmp3_;
		GDateTime* _tmp4_;
		GDateTime* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 129 "../daemon/Daemon.vala"
		_tmp3_ = extension;
#line 129 "../daemon/Daemon.vala"
		_tmp4_ = g_date_time_new_now_local ();
#line 129 "../daemon/Daemon.vala"
		_tmp5_ = _tmp4_;
#line 129 "../daemon/Daemon.vala"
		_tmp6_ = g_date_time_to_string (_tmp5_);
#line 129 "../daemon/Daemon.vala"
		_tmp7_ = _tmp6_;
#line 129 "../daemon/Daemon.vala"
		e_source_alarms_set_last_notified (_tmp3_, _tmp7_);
#line 129 "../daemon/Daemon.vala"
		_g_free0 (_tmp7_);
#line 129 "../daemon/Daemon.vala"
		_g_date_time_unref0 (_tmp5_);
#line 1302 "Daemon.c"
	}
#line 132 "../daemon/Daemon.vala"
	maya_daemon_queue_event_notification (self, _data4_->event, _data4_->uid);
#line 133 "../daemon/Daemon.vala"
	result = FALSE;
#line 133 "../daemon/Daemon.vala"
	_g_object_unref0 (extension);
#line 133 "../daemon/Daemon.vala"
	return result;
#line 1312 "Daemon.c"
}


static gboolean
___lambda5__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda5_ (self);
#line 126 "../daemon/Daemon.vala"
	return result;
#line 1323 "Daemon.c"
}


static gboolean
maya_daemon_add_timeout_co (MayaDaemonAddTimeoutData* _data_)
{
#line 122 "../daemon/Daemon.vala"
	switch (_data_->_state_) {
#line 122 "../daemon/Daemon.vala"
		case 0:
#line 1334 "Daemon.c"
		goto _state_0;
		default:
#line 122 "../daemon/Daemon.vala"
		g_assert_not_reached ();
#line 1339 "Daemon.c"
	}
	_state_0:
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_ = g_slice_new0 (Block4Data);
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_->_ref_count_ = 1;
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_->self = g_object_ref (_data_->self);
#line 122 "../daemon/Daemon.vala"
	_g_object_unref0 (_data_->_data4_->source);
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_->source = _data_->source;
#line 122 "../daemon/Daemon.vala"
	_g_object_unref0 (_data_->_data4_->event);
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_->event = _data_->event;
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_->_async_data_ = _data_;
#line 123 "../daemon/Daemon.vala"
	_data_->_tmp0_ = g_strdup_printf ("%u-%u", _data_->interval, (guint) g_random_int ());
#line 123 "../daemon/Daemon.vala"
	_data_->_data4_->uid = _data_->_tmp0_;
#line 124 "../daemon/Daemon.vala"
	_data_->_tmp1_ = _data_->self->priv->event_uid;
#line 124 "../daemon/Daemon.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _data_->_tmp1_, _data_->_data4_->event, _data_->_data4_->uid);
#line 125 "../daemon/Daemon.vala"
	g_debug ("Daemon.vala:125: adding timeout uid:%s", _data_->_data4_->uid);
#line 126 "../daemon/Daemon.vala"
	g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, _data_->interval, ___lambda5__gsource_func, block4_data_ref (_data_->_data4_), block4_data_unref);
#line 122 "../daemon/Daemon.vala"
	block4_data_unref (_data_->_data4_);
#line 122 "../daemon/Daemon.vala"
	_data_->_data4_ = NULL;
#line 122 "../daemon/Daemon.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 122 "../daemon/Daemon.vala"
	if (_data_->_state_ != 0) {
#line 122 "../daemon/Daemon.vala"
		while (!_data_->_task_complete_) {
#line 122 "../daemon/Daemon.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1382 "Daemon.c"
		}
	}
#line 122 "../daemon/Daemon.vala"
	g_object_unref (_data_->_async_result);
#line 122 "../daemon/Daemon.vala"
	return FALSE;
#line 1389 "Daemon.c"
}


static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gboolean result = FALSE;
	gchar* _tmp0_;
#line 1473 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1473 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1474 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1474 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1474 "glib-2.0.vapi"
	return result;
#line 1409 "Daemon.c"
}


void
maya_daemon_queue_event_notification (MayaDaemon* self,
                                      ECalComponent* event,
                                      const gchar* uid)
{
	GeeHashMap* _tmp0_;
	GeeCollection* _tmp1_;
	GeeCollection* _tmp2_;
	GeeCollection* _tmp3_;
	gboolean _tmp4_;
	icalcomponent* comp = NULL;
	icalcomponent* _tmp5_;
	gchar* primary_text = NULL;
	icalcomponent* _tmp6_;
	const gchar* _tmp7_;
	gchar* _tmp8_;
	GDateTime* start_time = NULL;
	icalcomponent* _tmp9_;
	GDateTime* _tmp10_;
	GDateTime* now = NULL;
	GDateTime* _tmp11_;
	gchar* secondary_text = NULL;
	gchar* _tmp12_;
	GSettings* h24_settings = NULL;
	GSettings* _tmp13_;
	gchar* format = NULL;
	GSettings* _tmp14_;
	gchar* _tmp15_;
	gchar* text = NULL;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	GDateTime* _tmp18_;
	GDateTime* _tmp19_;
	GNotification* notification = NULL;
	const gchar* _tmp38_;
	GNotification* _tmp39_;
	GNotification* _tmp40_;
	const gchar* _tmp41_;
	GNotification* _tmp42_;
	GThemedIcon* _tmp43_;
	GThemedIcon* _tmp44_;
	GApplication* _tmp45_;
	GNotification* _tmp46_;
#line 137 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 137 "../daemon/Daemon.vala"
	g_return_if_fail (event != NULL);
#line 137 "../daemon/Daemon.vala"
	g_return_if_fail (uid != NULL);
#line 138 "../daemon/Daemon.vala"
	_tmp0_ = self->priv->event_uid;
#line 138 "../daemon/Daemon.vala"
	_tmp1_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp0_);
#line 138 "../daemon/Daemon.vala"
	_tmp2_ = _tmp1_;
#line 138 "../daemon/Daemon.vala"
	_tmp3_ = _tmp2_;
#line 138 "../daemon/Daemon.vala"
	_tmp4_ = gee_collection_contains (_tmp3_, uid) == FALSE;
#line 138 "../daemon/Daemon.vala"
	_g_object_unref0 (_tmp3_);
#line 138 "../daemon/Daemon.vala"
	if (_tmp4_) {
#line 139 "../daemon/Daemon.vala"
		return;
#line 1478 "Daemon.c"
	}
#line 142 "../daemon/Daemon.vala"
	_tmp5_ = e_cal_component_get_icalcomponent (event);
#line 142 "../daemon/Daemon.vala"
	comp = _tmp5_;
#line 143 "../daemon/Daemon.vala"
	_tmp6_ = comp;
#line 143 "../daemon/Daemon.vala"
	_tmp7_ = icalcomponent_get_summary (_tmp6_);
#line 143 "../daemon/Daemon.vala"
	_tmp8_ = g_strdup_printf ("%s", _tmp7_);
#line 143 "../daemon/Daemon.vala"
	primary_text = _tmp8_;
#line 144 "../daemon/Daemon.vala"
	_tmp9_ = comp;
#line 144 "../daemon/Daemon.vala"
	_tmp10_ = maya_util_ical_to_date_time (icalcomponent_get_dtstart (_tmp9_));
#line 144 "../daemon/Daemon.vala"
	start_time = _tmp10_;
#line 145 "../daemon/Daemon.vala"
	_tmp11_ = g_date_time_new_now_local ();
#line 145 "../daemon/Daemon.vala"
	now = _tmp11_;
#line 146 "../daemon/Daemon.vala"
	_tmp12_ = g_strdup ("");
#line 146 "../daemon/Daemon.vala"
	secondary_text = _tmp12_;
#line 147 "../daemon/Daemon.vala"
	_tmp13_ = g_settings_new ("org.gnome.desktop.interface");
#line 147 "../daemon/Daemon.vala"
	h24_settings = _tmp13_;
#line 148 "../daemon/Daemon.vala"
	_tmp14_ = h24_settings;
#line 148 "../daemon/Daemon.vala"
	_tmp15_ = g_settings_get_string (_tmp14_, "clock-format");
#line 148 "../daemon/Daemon.vala"
	format = _tmp15_;
#line 149 "../daemon/Daemon.vala"
	_tmp16_ = format;
#line 149 "../daemon/Daemon.vala"
	_tmp17_ = granite_date_time_get_default_time_format (string_contains (_tmp16_, "12h"), FALSE);
#line 149 "../daemon/Daemon.vala"
	text = _tmp17_;
#line 150 "../daemon/Daemon.vala"
	_tmp18_ = start_time;
#line 150 "../daemon/Daemon.vala"
	_tmp19_ = now;
#line 150 "../daemon/Daemon.vala"
	if (g_date_time_get_year (_tmp18_) == g_date_time_get_year (_tmp19_)) {
#line 1528 "Daemon.c"
		GDateTime* _tmp20_;
		GDateTime* _tmp21_;
#line 151 "../daemon/Daemon.vala"
		_tmp20_ = start_time;
#line 151 "../daemon/Daemon.vala"
		_tmp21_ = now;
#line 151 "../daemon/Daemon.vala"
		if (g_date_time_get_day_of_year (_tmp20_) == g_date_time_get_day_of_year (_tmp21_)) {
#line 1537 "Daemon.c"
			GDateTime* _tmp22_;
			gchar* _tmp23_;
#line 152 "../daemon/Daemon.vala"
			_tmp22_ = start_time;
#line 152 "../daemon/Daemon.vala"
			_tmp23_ = granite_date_time_get_relative_datetime (_tmp22_);
#line 152 "../daemon/Daemon.vala"
			_g_free0 (secondary_text);
#line 152 "../daemon/Daemon.vala"
			secondary_text = _tmp23_;
#line 1548 "Daemon.c"
		} else {
			GDateTime* _tmp24_;
			gchar* _tmp25_;
			gchar* _tmp26_;
			const gchar* _tmp27_;
			gchar* _tmp28_;
			gchar* _tmp29_;
			gchar* _tmp30_;
#line 154 "../daemon/Daemon.vala"
			_tmp24_ = start_time;
#line 154 "../daemon/Daemon.vala"
			_tmp25_ = granite_date_time_get_default_date_format (FALSE, TRUE, FALSE);
#line 154 "../daemon/Daemon.vala"
			_tmp26_ = _tmp25_;
#line 154 "../daemon/Daemon.vala"
			_tmp27_ = text;
#line 154 "../daemon/Daemon.vala"
			_tmp28_ = g_strdup_printf ("%s, %s", _tmp26_, _tmp27_);
#line 154 "../daemon/Daemon.vala"
			_tmp29_ = _tmp28_;
#line 154 "../daemon/Daemon.vala"
			_tmp30_ = g_date_time_format (_tmp24_, _tmp29_);
#line 154 "../daemon/Daemon.vala"
			_g_free0 (secondary_text);
#line 154 "../daemon/Daemon.vala"
			secondary_text = _tmp30_;
#line 154 "../daemon/Daemon.vala"
			_g_free0 (_tmp29_);
#line 154 "../daemon/Daemon.vala"
			_g_free0 (_tmp26_);
#line 1579 "Daemon.c"
		}
	} else {
		GDateTime* _tmp31_;
		gchar* _tmp32_;
		gchar* _tmp33_;
		const gchar* _tmp34_;
		gchar* _tmp35_;
		gchar* _tmp36_;
		gchar* _tmp37_;
#line 157 "../daemon/Daemon.vala"
		_tmp31_ = start_time;
#line 157 "../daemon/Daemon.vala"
		_tmp32_ = granite_date_time_get_default_date_format (FALSE, TRUE, TRUE);
#line 157 "../daemon/Daemon.vala"
		_tmp33_ = _tmp32_;
#line 157 "../daemon/Daemon.vala"
		_tmp34_ = text;
#line 157 "../daemon/Daemon.vala"
		_tmp35_ = g_strdup_printf ("%s, %s", _tmp33_, _tmp34_);
#line 157 "../daemon/Daemon.vala"
		_tmp36_ = _tmp35_;
#line 157 "../daemon/Daemon.vala"
		_tmp37_ = g_date_time_format (_tmp31_, _tmp36_);
#line 157 "../daemon/Daemon.vala"
		_g_free0 (secondary_text);
#line 157 "../daemon/Daemon.vala"
		secondary_text = _tmp37_;
#line 157 "../daemon/Daemon.vala"
		_g_free0 (_tmp36_);
#line 157 "../daemon/Daemon.vala"
		_g_free0 (_tmp33_);
#line 1611 "Daemon.c"
	}
#line 160 "../daemon/Daemon.vala"
	_tmp38_ = primary_text;
#line 160 "../daemon/Daemon.vala"
	_tmp39_ = g_notification_new (_tmp38_);
#line 160 "../daemon/Daemon.vala"
	notification = _tmp39_;
#line 161 "../daemon/Daemon.vala"
	_tmp40_ = notification;
#line 161 "../daemon/Daemon.vala"
	_tmp41_ = secondary_text;
#line 161 "../daemon/Daemon.vala"
	g_notification_set_body (_tmp40_, _tmp41_);
#line 162 "../daemon/Daemon.vala"
	_tmp42_ = notification;
#line 162 "../daemon/Daemon.vala"
	_tmp43_ = (GThemedIcon*) g_themed_icon_new ("office-calendar");
#line 162 "../daemon/Daemon.vala"
	_tmp44_ = _tmp43_;
#line 162 "../daemon/Daemon.vala"
	g_notification_set_icon (_tmp42_, (GIcon*) _tmp44_);
#line 162 "../daemon/Daemon.vala"
	_g_object_unref0 (_tmp44_);
#line 164 "../daemon/Daemon.vala"
	_tmp45_ = g_application_get_default ();
#line 164 "../daemon/Daemon.vala"
	_tmp46_ = notification;
#line 164 "../daemon/Daemon.vala"
	g_application_send_notification (_tmp45_, uid, _tmp46_);
#line 137 "../daemon/Daemon.vala"
	_g_object_unref0 (notification);
#line 137 "../daemon/Daemon.vala"
	_g_free0 (text);
#line 137 "../daemon/Daemon.vala"
	_g_free0 (format);
#line 137 "../daemon/Daemon.vala"
	_g_object_unref0 (h24_settings);
#line 137 "../daemon/Daemon.vala"
	_g_free0 (secondary_text);
#line 137 "../daemon/Daemon.vala"
	_g_date_time_unref0 (now);
#line 137 "../daemon/Daemon.vala"
	_g_date_time_unref0 (start_time);
#line 137 "../daemon/Daemon.vala"
	_g_free0 (primary_text);
#line 1657 "Daemon.c"
}


static void
maya_daemon_update_event (MayaDaemon* self,
                          ESource* source,
                          ECalComponent* event)
{
#line 167 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 167 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 167 "../daemon/Daemon.vala"
	g_return_if_fail (event != NULL);
#line 168 "../daemon/Daemon.vala"
	maya_daemon_remove_event (self, source, event);
#line 169 "../daemon/Daemon.vala"
	e_cal_component_rescan (event);
#line 170 "../daemon/Daemon.vala"
	e_cal_component_commit_sequence (event);
#line 171 "../daemon/Daemon.vala"
	maya_daemon_add_event (self, source, event);
#line 1680 "Daemon.c"
}


static void
maya_daemon_remove_event (MayaDaemon* self,
                          ESource* source,
                          ECalComponent* event)
{
	GeeHashMap* _tmp0_;
#line 174 "../daemon/Daemon.vala"
	g_return_if_fail (self != NULL);
#line 174 "../daemon/Daemon.vala"
	g_return_if_fail (source != NULL);
#line 174 "../daemon/Daemon.vala"
	g_return_if_fail (event != NULL);
#line 175 "../daemon/Daemon.vala"
	_tmp0_ = self->priv->event_uid;
#line 175 "../daemon/Daemon.vala"
	if (gee_abstract_map_has_key ((GeeAbstractMap*) _tmp0_, event)) {
#line 1700 "Daemon.c"
		GeeHashMap* _tmp1_;
#line 176 "../daemon/Daemon.vala"
		_tmp1_ = self->priv->event_uid;
#line 176 "../daemon/Daemon.vala"
		gee_abstract_map_unset ((GeeAbstractMap*) _tmp1_, event, NULL);
#line 1706 "Daemon.c"
	}
}


static GTimeSpan
maya_daemon_time_until_now (MayaDaemon* self,
                            GDateTime* dt)
{
	GTimeSpan result = 0LL;
	GDateTime* now = NULL;
	GDateTime* _tmp0_;
#line 180 "../daemon/Daemon.vala"
	g_return_val_if_fail (self != NULL, 0LL);
#line 180 "../daemon/Daemon.vala"
	g_return_val_if_fail (dt != NULL, 0LL);
#line 181 "../daemon/Daemon.vala"
	_tmp0_ = g_date_time_new_now_local ();
#line 181 "../daemon/Daemon.vala"
	now = _tmp0_;
#line 182 "../daemon/Daemon.vala"
	result = g_date_time_difference (dt, now) / G_TIME_SPAN_SECOND;
#line 182 "../daemon/Daemon.vala"
	_g_date_time_unref0 (now);
#line 182 "../daemon/Daemon.vala"
	return result;
#line 1732 "Daemon.c"
}


MayaDaemon*
maya_daemon_construct (GType object_type)
{
	MayaDaemon * self = NULL;
#line 28 "../daemon/Daemon.vala"
	self = (MayaDaemon*) g_object_new (object_type, NULL);
#line 28 "../daemon/Daemon.vala"
	return self;
#line 1744 "Daemon.c"
}


MayaDaemon*
maya_daemon_new (void)
{
#line 28 "../daemon/Daemon.vala"
	return maya_daemon_construct (MAYA_TYPE_DAEMON);
#line 1753 "Daemon.c"
}


static gboolean
_maya_daemon___lambda8_ (MayaDaemon* self)
{
	gboolean result = FALSE;
	GeeHashMap* _tmp0_;
#line 34 "../daemon/Daemon.vala"
	_tmp0_ = self->priv->event_uid;
#line 34 "../daemon/Daemon.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 35 "../daemon/Daemon.vala"
	maya_daemon_load_today_events (self);
#line 36 "../daemon/Daemon.vala"
	result = TRUE;
#line 36 "../daemon/Daemon.vala"
	return result;
#line 1772 "Daemon.c"
}


static gboolean
__maya_daemon___lambda8__gsource_func (gpointer self)
{
	gboolean result;
	result = _maya_daemon___lambda8_ ((MayaDaemon*) self);
#line 33 "../daemon/Daemon.vala"
	return result;
#line 1783 "Daemon.c"
}


static GObject *
maya_daemon_constructor (GType type,
                         guint n_construct_properties,
                         GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MayaDaemon * self;
#line 31 "../daemon/Daemon.vala"
	parent_class = G_OBJECT_CLASS (maya_daemon_parent_class);
#line 31 "../daemon/Daemon.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 31 "../daemon/Daemon.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_DAEMON, MayaDaemon);
#line 32 "../daemon/Daemon.vala"
	maya_daemon_load_today_events (self);
#line 33 "../daemon/Daemon.vala"
	g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, (guint) 86400, __maya_daemon___lambda8__gsource_func, g_object_ref (self), g_object_unref);
#line 31 "../daemon/Daemon.vala"
	return obj;
#line 1807 "Daemon.c"
}


static void
maya_daemon_class_init (MayaDaemonClass * klass)
{
#line 28 "../daemon/Daemon.vala"
	maya_daemon_parent_class = g_type_class_peek_parent (klass);
#line 28 "../daemon/Daemon.vala"
	g_type_class_adjust_private_offset (klass, &MayaDaemon_private_offset);
#line 28 "../daemon/Daemon.vala"
	((GApplicationClass *) klass)->activate = (void (*) (GApplication*)) maya_daemon_real_activate;
#line 28 "../daemon/Daemon.vala"
	G_OBJECT_CLASS (klass)->constructor = maya_daemon_constructor;
#line 28 "../daemon/Daemon.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_daemon_finalize;
#line 1824 "Daemon.c"
}


static void
maya_daemon_instance_init (MayaDaemon * self)
{
#line 28 "../daemon/Daemon.vala"
	self->priv = maya_daemon_get_instance_private (self);
#line 1833 "Daemon.c"
}


static void
maya_daemon_finalize (GObject * obj)
{
	MayaDaemon * self;
#line 28 "../daemon/Daemon.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_DAEMON, MayaDaemon);
#line 29 "../daemon/Daemon.vala"
	_g_object_unref0 (self->priv->event_uid);
#line 28 "../daemon/Daemon.vala"
	G_OBJECT_CLASS (maya_daemon_parent_class)->finalize (obj);
#line 1847 "Daemon.c"
}


GType
maya_daemon_get_type (void)
{
	static volatile gsize maya_daemon_type_id__volatile = 0;
	if (g_once_init_enter (&maya_daemon_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaDaemonClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_daemon_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaDaemon), 0, (GInstanceInitFunc) maya_daemon_instance_init, NULL };
		GType maya_daemon_type_id;
		maya_daemon_type_id = g_type_register_static (g_application_get_type (), "MayaDaemon", &g_define_type_info, 0);
		MayaDaemon_private_offset = g_type_add_instance_private (maya_daemon_type_id, sizeof (MayaDaemonPrivate));
		g_once_init_leave (&maya_daemon_type_id__volatile, maya_daemon_type_id);
	}
	return maya_daemon_type_id__volatile;
}


gint
maya_main (gchar** args,
           int args_length1)
{
	gint result = 0;
	GOptionContext* context = NULL;
	GOptionContext* _tmp0_;
	gboolean _tmp4_;
	MayaDaemon* app = NULL;
	MayaDaemon* _tmp5_;
	GError * _inner_error_ = NULL;
#line 187 "../daemon/Daemon.vala"
	_tmp0_ = g_option_context_new ("");
#line 187 "../daemon/Daemon.vala"
	context = _tmp0_;
#line 188 "../daemon/Daemon.vala"
	g_option_context_add_main_entries (context, MAYA_options, NULL);
#line 1883 "Daemon.c"
	{
#line 191 "../daemon/Daemon.vala"
		g_option_context_parse (context, &args_length1, &args, &_inner_error_);
#line 191 "../daemon/Daemon.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1889 "Daemon.c"
			gint _tmp1_ = -1;
#line 191 "../daemon/Daemon.vala"
			if (_inner_error_->domain == G_OPTION_ERROR) {
#line 1893 "Daemon.c"
				goto __catch0_g_option_error;
			}
#line 191 "../daemon/Daemon.vala"
			_g_option_context_free0 (context);
#line 191 "../daemon/Daemon.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 191 "../daemon/Daemon.vala"
			g_clear_error (&_inner_error_);
#line 191 "../daemon/Daemon.vala"
			return _tmp1_;
#line 1904 "Daemon.c"
		}
	}
	goto __finally0;
	__catch0_g_option_error:
	{
		GError* e = NULL;
		const gchar* _tmp2_;
#line 190 "../daemon/Daemon.vala"
		e = _inner_error_;
#line 190 "../daemon/Daemon.vala"
		_inner_error_ = NULL;
#line 193 "../daemon/Daemon.vala"
		_tmp2_ = e->message;
#line 193 "../daemon/Daemon.vala"
		g_error ("Daemon.vala:193: %s", _tmp2_);
#line 190 "../daemon/Daemon.vala"
		_g_error_free0 (e);
#line 1922 "Daemon.c"
	}
	__finally0:
#line 190 "../daemon/Daemon.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1927 "Daemon.c"
		gint _tmp3_ = -1;
#line 190 "../daemon/Daemon.vala"
		_g_option_context_free0 (context);
#line 190 "../daemon/Daemon.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 190 "../daemon/Daemon.vala"
		g_clear_error (&_inner_error_);
#line 190 "../daemon/Daemon.vala"
		return _tmp3_;
#line 1937 "Daemon.c"
	}
#line 196 "../daemon/Daemon.vala"
	granite_services_logger_initialize (BUILD_APP_NAME);
#line 197 "../daemon/Daemon.vala"
	granite_services_logger_set_DisplayLevel (GRANITE_SERVICES_LOG_LEVEL_WARN);
#line 199 "../daemon/Daemon.vala"
	_tmp4_ = maya_has_debug;
#line 199 "../daemon/Daemon.vala"
	if (_tmp4_) {
#line 200 "../daemon/Daemon.vala"
		granite_services_logger_set_DisplayLevel (GRANITE_SERVICES_LOG_LEVEL_DEBUG);
#line 1949 "Daemon.c"
	}
#line 203 "../daemon/Daemon.vala"
	_tmp5_ = maya_daemon_new ();
#line 203 "../daemon/Daemon.vala"
	app = _tmp5_;
#line 205 "../daemon/Daemon.vala"
	result = g_application_run ((GApplication*) app, args_length1, args);
#line 205 "../daemon/Daemon.vala"
	_g_object_unref0 (app);
#line 205 "../daemon/Daemon.vala"
	_g_option_context_free0 (context);
#line 205 "../daemon/Daemon.vala"
	return result;
#line 1963 "Daemon.c"
}


int
main (int argc,
      char ** argv)
{
#line 186 "../daemon/Daemon.vala"
	return maya_main (argv, argc);
#line 1973 "Daemon.c"
}



