/* SourceDialog.c generated by valac 0.42.5, the Vala compiler
 * generated from SourceDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2011-2018 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jaap Broekhuizen
 *              Corentin Noël <corentin@elementaryos.org>
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include "elementary-calendar.h"
#include <gee.h>
#include <libedataserver/libedataserver.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define MAYA_VIEW_TYPE_SOURCE_DIALOG (maya_view_source_dialog_get_type ())
#define MAYA_VIEW_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog))
#define MAYA_VIEW_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))
#define MAYA_VIEW_IS_SOURCE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_IS_SOURCE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_SOURCE_DIALOG))
#define MAYA_VIEW_SOURCE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialogClass))

typedef struct _MayaViewSourceDialog MayaViewSourceDialog;
typedef struct _MayaViewSourceDialogClass MayaViewSourceDialogClass;
typedef struct _MayaViewSourceDialogPrivate MayaViewSourceDialogPrivate;
typedef enum  {
	MAYA_VIEW_EVENT_TYPE_ADD,
	MAYA_VIEW_EVENT_TYPE_EDIT
} MayaViewEventType;


#define MAYA_VIEW_TYPE_EVENT_TYPE (maya_view_event_type_get_type ())
enum  {
	MAYA_VIEW_SOURCE_DIALOG_0_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY,
	MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES
};
static GParamSpec* maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block22Data Block22Data;
enum  {
	MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL,
	MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS
};
static guint maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_NUM_SIGNALS] = {0};

struct _MayaViewSourceDialog {
	GtkGrid parent_instance;
	MayaViewSourceDialogPrivate * priv;
};

struct _MayaViewSourceDialogClass {
	GtkGridClass parent_class;
};

struct _MayaViewSourceDialogPrivate {
	MayaViewEventType _event_type;
	GtkEntry* name_entry;
	gboolean set_as_default;
	gchar* hex_color;
	MayaBackend* current_backend;
	GeeCollection* backend_widgets;
	GtkGrid* main_grid;
	GeeHashMap* widgets_checked;
	GtkButton* create_button;
	GtkComboBox* type_combobox;
	GtkListStore* list_store;
	ESource* source;
	GtkRadioButton* color_button_red;
	GtkRadioButton* color_button_orange;
	GtkRadioButton* color_button_yellow;
	GtkRadioButton* color_button_green;
	GtkRadioButton* color_button_blue;
	GtkRadioButton* color_button_purple;
	GtkRadioButton* color_button_brown;
	GtkRadioButton* color_button_slate;
	GtkRadioButton* color_button_none;
};

struct _Block22Data {
	int _ref_count_;
	MayaViewSourceDialog* self;
	MayaPlacementWidget* widget;
};


static gint MayaViewSourceDialog_private_offset;
static gpointer maya_view_source_dialog_parent_class = NULL;

GType maya_view_source_dialog_get_type (void) G_GNUC_CONST;
GType maya_view_event_type_get_type (void) G_GNUC_CONST;
void maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                         ESource* source);
static void maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                             MayaViewEventType value);
static gboolean maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                               GtkTreeModel* model,
                                               GtkTreePath* path,
                                               GtkTreeIter* iter);
static gboolean _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                            GtkTreePath* path,
                                                                            GtkTreeIter* iter,
                                                                            gpointer self);
static void maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self);
static void maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self);
static Block22Data* block22_data_ref (Block22Data* _data22_);
static void block22_data_unref (void * _userdata_);
static void _____lambda157_ (Block22Data* _data22_);
static void maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                            MayaPlacementWidget* widget);
static void ______lambda157__gtk_editable_changed (GtkEditable* _sender,
                                            gpointer self);
static void maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self);
void maya_view_source_dialog_save (MayaViewSourceDialog* self);
MayaViewEventType maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self);
MayaViewSourceDialog* maya_view_source_dialog_new (void);
MayaViewSourceDialog* maya_view_source_dialog_construct (GType object_type);
static GObject * maya_view_source_dialog_constructor (GType type,
                                               guint n_construct_properties,
                                               GObjectConstructParam * construct_properties);
static void _maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                       gpointer self);
static void _maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda158__gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void _maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda159__gtk_editable_changed (GtkEditable* _sender,
                                                                  gpointer self);
static void _maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda160__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                   gpointer self);
static void _maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void _maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self);
static void __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                       gpointer self);
static void maya_view_source_dialog_finalize (GObject * obj);
static void _vala_maya_view_source_dialog_get_property (GObject * object,
                                                 guint property_id,
                                                 GValue * value,
                                                 GParamSpec * pspec);
static void _vala_maya_view_source_dialog_set_property (GObject * object,
                                                 guint property_id,
                                                 const GValue * value,
                                                 GParamSpec * pspec);


static inline gpointer
maya_view_source_dialog_get_instance_private (MayaViewSourceDialog* self)
{
	return G_STRUCT_MEMBER_P (self, MayaViewSourceDialog_private_offset);
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 242 "../src/SourceDialog/SourceDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 207 "SourceDialog.c"
}


static gboolean
_maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func (GtkTreeModel* model,
                                                                   GtkTreePath* path,
                                                                   GtkTreeIter* iter,
                                                                   gpointer self)
{
	gboolean result;
	result = maya_view_source_dialog_tree_foreach ((MayaViewSourceDialog*) self, model, path, iter);
#line 254 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 221 "SourceDialog.c"
}


void
maya_view_source_dialog_set_source (MayaViewSourceDialog* self,
                                    ESource* source)
{
	ESource* _tmp0_;
#line 241 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _g_object_ref0 (source);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 242 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = _tmp0_;
#line 243 "../src/SourceDialog/SourceDialog.vala"
	if (source == NULL) {
#line 240 "SourceDialog.c"
		GtkEntry* _tmp1_;
		GtkComboBox* _tmp2_;
		GtkButton* _tmp3_;
#line 244 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_ADD);
#line 245 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->name_entry;
#line 245 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp1_, "");
#line 246 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->type_combobox;
#line 246 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, TRUE);
#line 247 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = self->priv->create_button;
#line 247 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp3_, _ ("Create Calendar"));
#line 258 "SourceDialog.c"
	} else {
		GtkButton* _tmp4_;
		GtkEntry* _tmp5_;
		const gchar* _tmp6_;
		const gchar* _tmp7_;
		GtkComboBox* _tmp8_;
		GtkComboBox* _tmp9_;
		GtkListStore* _tmp10_;
		ESourceCalendar* cal = NULL;
		ESourceExtension* _tmp11_;
		ESourceCalendar* _tmp12_;
		ESourceCalendar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		GQuark _tmp17_ = 0U;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label0 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label1 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label2 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label3 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label4 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label5 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label6 = 0;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		static GQuark _tmp16_label7 = 0;
#line 249 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, MAYA_VIEW_EVENT_TYPE_EDIT);
#line 250 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = self->priv->create_button;
#line 250 "../src/SourceDialog/SourceDialog.vala"
		gtk_button_set_label (_tmp4_, _ ("Save"));
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->name_entry;
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = e_source_get_display_name (source);
#line 251 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = _tmp6_;
#line 251 "../src/SourceDialog/SourceDialog.vala"
		gtk_entry_set_text (_tmp5_, _tmp7_);
#line 252 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->type_combobox;
#line 252 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, FALSE);
#line 253 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = self->priv->type_combobox;
#line 253 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active (_tmp9_, 0);
#line 254 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = self->priv->list_store;
#line 254 "../src/SourceDialog/SourceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp10_, _maya_view_source_dialog_tree_foreach_gtk_tree_model_foreach_func, self);
#line 255 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);
#line 255 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_calendar_get_type (), ESourceCalendar));
#line 255 "../src/SourceDialog/SourceDialog.vala"
		cal = _tmp12_;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = cal;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp13_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp15_ = _tmp14_;
#line 257 "../src/SourceDialog/SourceDialog.vala"
		_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		g_free (_tmp15_);
#line 257 "../src/SourceDialog/SourceDialog.vala"
		if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("#da3d41")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 336 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp18_;
#line 259 "../src/SourceDialog/SourceDialog.vala"
					_tmp18_ = self->priv->color_button_red;
#line 259 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp18_, TRUE);
#line 260 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 346 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("#f37329")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 352 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp19_;
#line 262 "../src/SourceDialog/SourceDialog.vala"
					_tmp19_ = self->priv->color_button_orange;
#line 262 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp19_, TRUE);
#line 263 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 362 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("#e6a92a")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 368 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp20_;
#line 265 "../src/SourceDialog/SourceDialog.vala"
					_tmp20_ = self->priv->color_button_yellow;
#line 265 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp20_, TRUE);
#line 266 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 378 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("#81c837")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 384 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp21_;
#line 268 "../src/SourceDialog/SourceDialog.vala"
					_tmp21_ = self->priv->color_button_green;
#line 268 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp21_, TRUE);
#line 269 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 394 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("#3689e6")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 400 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp22_;
#line 271 "../src/SourceDialog/SourceDialog.vala"
					_tmp22_ = self->priv->color_button_blue;
#line 271 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp22_, TRUE);
#line 272 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 410 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("#a56de2")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 416 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp23_;
#line 274 "../src/SourceDialog/SourceDialog.vala"
					_tmp23_ = self->priv->color_button_purple;
#line 274 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp23_, TRUE);
#line 275 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 426 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("#8a715e")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 432 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp24_;
#line 277 "../src/SourceDialog/SourceDialog.vala"
					_tmp24_ = self->priv->color_button_brown;
#line 277 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp24_, TRUE);
#line 278 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 442 "SourceDialog.c"
				}
			}
		} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("#667885")))) {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 448 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp25_;
#line 280 "../src/SourceDialog/SourceDialog.vala"
					_tmp25_ = self->priv->color_button_slate;
#line 280 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp25_, TRUE);
#line 281 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 458 "SourceDialog.c"
				}
			}
		} else {
#line 257 "../src/SourceDialog/SourceDialog.vala"
			switch (0) {
#line 464 "SourceDialog.c"
				default:
				{
					GtkRadioButton* _tmp26_;
					ESourceCalendar* _tmp27_;
					gchar* _tmp28_;
#line 283 "../src/SourceDialog/SourceDialog.vala"
					_tmp26_ = self->priv->color_button_none;
#line 283 "../src/SourceDialog/SourceDialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp26_, TRUE);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_tmp27_ = cal;
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_tmp28_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp27_);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					_g_free0 (self->priv->hex_color);
#line 284 "../src/SourceDialog/SourceDialog.vala"
					self->priv->hex_color = _tmp28_;
#line 285 "../src/SourceDialog/SourceDialog.vala"
					break;
#line 484 "SourceDialog.c"
				}
			}
		}
#line 243 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (cal);
#line 490 "SourceDialog.c"
	}
}


static gboolean
maya_view_source_dialog_tree_foreach (MayaViewSourceDialog* self,
                                      GtkTreeModel* model,
                                      GtkTreePath* path,
                                      GtkTreeIter* iter)
{
	gboolean result = FALSE;
	GValue backend = {0};
	GtkListStore* _tmp0_;
	GtkTreeIter _tmp1_;
	GValue _tmp2_ = {0};
	MayaBackend* current_backend = NULL;
	GValue _tmp3_;
	MayaBackend* _tmp4_;
	MayaBackend* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	ESource* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gboolean _tmp11_;
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 291 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 293 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->list_store;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = *iter;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 293 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 293 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp2_;
#line 294 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = backend;
#line 294 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = _g_object_ref0 (g_value_get_object (&_tmp3_));
#line 294 "../src/SourceDialog/SourceDialog.vala"
	current_backend = _tmp4_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = current_backend;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = maya_backend_get_uid (_tmp5_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = _tmp6_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = e_source_dup_parent (_tmp8_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = _tmp9_;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = g_strcmp0 (_tmp7_, _tmp10_) == 0;
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp10_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp7_);
#line 295 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp11_) {
#line 560 "SourceDialog.c"
		GtkComboBox* _tmp12_;
		GtkTreeIter _tmp13_;
		GtkComboBox* _tmp14_;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->type_combobox;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = *iter;
#line 296 "../src/SourceDialog/SourceDialog.vala"
		gtk_combo_box_set_active_iter (_tmp12_, &_tmp13_);
#line 297 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->type_combobox;
#line 297 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, TRUE);
#line 298 "../src/SourceDialog/SourceDialog.vala"
		result = TRUE;
#line 298 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (current_backend);
#line 298 "../src/SourceDialog/SourceDialog.vala"
		G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 298 "../src/SourceDialog/SourceDialog.vala"
		return result;
#line 582 "SourceDialog.c"
	}
#line 301 "../src/SourceDialog/SourceDialog.vala"
	result = FALSE;
#line 301 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (current_backend);
#line 301 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 301 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 592 "SourceDialog.c"
}


static void
maya_view_source_dialog_remove_backend_widgets (MayaViewSourceDialog* self)
{
	GeeCollection* _tmp0_;
	GeeCollection* _tmp10_;
#line 304 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 305 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->backend_widgets;
#line 305 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == NULL) {
#line 306 "../src/SourceDialog/SourceDialog.vala"
		return;
#line 609 "SourceDialog.c"
	}
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 623 "SourceDialog.c"
			GeeIterator* _tmp3_;
			MayaPlacementWidget* widget = NULL;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			MayaPlacementWidget* _tmp6_;
			GtkWidget* _tmp7_;
			MayaPlacementWidget* _tmp8_;
			GtkWidget* _tmp9_;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 308 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 638 "SourceDialog.c"
			}
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
			widget = (MayaPlacementWidget*) _tmp5_;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = widget;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _tmp6_->widget;
#line 309 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_hide (_tmp7_);
#line 310 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = widget;
#line 310 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _tmp8_->widget;
#line 310 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_destroy (_tmp9_);
#line 308 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (widget);
#line 660 "SourceDialog.c"
		}
#line 308 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 664 "SourceDialog.c"
	}
#line 313 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = self->priv->backend_widgets;
#line 313 "../src/SourceDialog/SourceDialog.vala"
	gee_collection_clear (_tmp10_);
#line 670 "SourceDialog.c"
}


static Block22Data*
block22_data_ref (Block22Data* _data22_)
{
#line 318 "../src/SourceDialog/SourceDialog.vala"
	g_atomic_int_inc (&_data22_->_ref_count_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
	return _data22_;
#line 681 "SourceDialog.c"
}


static void
block22_data_unref (void * _userdata_)
{
	Block22Data* _data22_;
	_data22_ = (Block22Data*) _userdata_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
	if (g_atomic_int_dec_and_test (&_data22_->_ref_count_)) {
#line 692 "SourceDialog.c"
		MayaViewSourceDialog* self;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		self = _data22_->self;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_data22_->widget);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (self);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		g_slice_free (Block22Data, _data22_);
#line 702 "SourceDialog.c"
	}
}


static void
_____lambda157_ (Block22Data* _data22_)
{
	MayaViewSourceDialog* self;
	MayaPlacementWidget* _tmp0_;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	self = _data22_->self;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = _data22_->widget;
#line 322 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_entry_changed (self, _tmp0_);
#line 718 "SourceDialog.c"
}


static void
______lambda157__gtk_editable_changed (GtkEditable* _sender,
                                       gpointer self)
{
#line 322 "../src/SourceDialog/SourceDialog.vala"
	_____lambda157_ (self);
#line 728 "SourceDialog.c"
}


static void
maya_view_source_dialog_add_backend_widgets (MayaViewSourceDialog* self)
{
	GeeHashMap* _tmp0_;
#line 316 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 317 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 317 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 742 "SourceDialog.c"
	{
		GeeIterator* _widget_it = NULL;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->backend_widgets;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_widget_it = _tmp2_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 755 "SourceDialog.c"
			Block22Data* _data22_;
			GeeIterator* _tmp3_;
			GeeIterator* _tmp4_;
			gpointer _tmp5_;
			GtkGrid* _tmp6_;
			MayaPlacementWidget* _tmp7_;
			GtkWidget* _tmp8_;
			MayaPlacementWidget* _tmp9_;
			gint _tmp10_;
			MayaPlacementWidget* _tmp11_;
			gint _tmp12_;
			gboolean _tmp13_ = FALSE;
			MayaPlacementWidget* _tmp14_;
			gboolean _tmp15_;
			MayaPlacementWidget* _tmp29_;
			GtkWidget* _tmp30_;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_ = g_slice_new0 (Block22Data);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->_ref_count_ = 1;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->self = g_object_ref (self);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp3_ = _widget_it;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp3_)) {
#line 318 "../src/SourceDialog/SourceDialog.vala"
				block22_data_unref (_data22_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
				_data22_ = NULL;
#line 318 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 788 "SourceDialog.c"
			}
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp4_ = _widget_it;
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_->widget = (MayaPlacementWidget*) _tmp5_;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = self->priv->main_grid;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = _tmp7_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp10_ = _tmp9_->column;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp11_ = _data22_->widget;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			_tmp12_ = _tmp11_->row;
#line 319 "../src/SourceDialog/SourceDialog.vala"
			gtk_grid_attach (_tmp6_, _tmp8_, _tmp10_, 4 + _tmp12_, 1, 1);
#line 320 "../src/SourceDialog/SourceDialog.vala"
			_tmp14_ = _data22_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
			_tmp15_ = _tmp14_->needed;
#line 320 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp15_ == TRUE) {
#line 818 "SourceDialog.c"
				MayaPlacementWidget* _tmp16_;
				GtkWidget* _tmp17_;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp16_ = _data22_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp17_ = _tmp16_->widget;
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp13_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp17_, gtk_entry_get_type ());
#line 827 "SourceDialog.c"
			} else {
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_tmp13_ = FALSE;
#line 831 "SourceDialog.c"
			}
#line 320 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp13_) {
#line 835 "SourceDialog.c"
				GtkEntry* entry = NULL;
				MayaPlacementWidget* _tmp18_;
				GtkWidget* _tmp19_;
				GtkEntry* _tmp20_;
				GtkEntry* _tmp21_;
				GeeHashMap* _tmp22_;
				MayaPlacementWidget* _tmp23_;
				const gchar* _tmp24_;
				MayaPlacementWidget* _tmp25_;
				GtkWidget* _tmp26_;
				const gchar* _tmp27_;
				const gchar* _tmp28_;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp18_ = _data22_->widget;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp19_ = _tmp18_->widget;
#line 321 "../src/SourceDialog/SourceDialog.vala"
				_tmp20_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp19_, gtk_entry_get_type ()) ? ((GtkEntry*) _tmp19_) : NULL);
#line 321 "../src/SourceDialog/SourceDialog.vala"
				entry = _tmp20_;
#line 322 "../src/SourceDialog/SourceDialog.vala"
				_tmp21_ = entry;
#line 322 "../src/SourceDialog/SourceDialog.vala"
				g_signal_connect_data ((GtkEditable*) _tmp21_, "changed", (GCallback) ______lambda157__gtk_editable_changed, block22_data_ref (_data22_), (GClosureNotify) block22_data_unref, 0);
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp22_ = self->priv->widgets_checked;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp23_ = _data22_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp24_ = _tmp23_->ref_name;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp25_ = _data22_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp26_ = _tmp25_->widget;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp27_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, gtk_entry_get_type (), GtkEntry));
#line 323 "../src/SourceDialog/SourceDialog.vala"
				_tmp28_ = _tmp27_;
#line 323 "../src/SourceDialog/SourceDialog.vala"
				gee_abstract_map_set ((GeeAbstractMap*) _tmp22_, _tmp24_, (gpointer) ((gintptr) (g_strcmp0 (_tmp28_, "") != 0)));
#line 320 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (entry);
#line 878 "SourceDialog.c"
			}
#line 325 "../src/SourceDialog/SourceDialog.vala"
			_tmp29_ = _data22_->widget;
#line 325 "../src/SourceDialog/SourceDialog.vala"
			_tmp30_ = _tmp29_->widget;
#line 325 "../src/SourceDialog/SourceDialog.vala"
			gtk_widget_show (_tmp30_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			block22_data_unref (_data22_);
#line 318 "../src/SourceDialog/SourceDialog.vala"
			_data22_ = NULL;
#line 890 "SourceDialog.c"
		}
#line 318 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_widget_it);
#line 894 "SourceDialog.c"
	}
#line 327 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 898 "SourceDialog.c"
}


static gchar*
string_chug (const gchar* self)
{
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1296 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1297 "glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1297 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1298 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1298 "glib-2.0.vapi"
	g_strchug (_tmp1_);
#line 1299 "glib-2.0.vapi"
	result = _result_;
#line 1299 "glib-2.0.vapi"
	return result;
#line 923 "SourceDialog.c"
}


static void
maya_view_source_dialog_entry_changed (MayaViewSourceDialog* self,
                                       MayaPlacementWidget* widget)
{
	GeeHashMap* _tmp0_;
	const gchar* _tmp1_;
	GeeHashMap* _tmp2_;
	const gchar* _tmp3_;
	GtkWidget* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
#line 330 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 330 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (widget != NULL);
#line 331 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->widgets_checked;
#line 331 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = widget->ref_name;
#line 331 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_unset ((GeeAbstractMap*) _tmp0_, _tmp1_, NULL);
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->widgets_checked;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = widget->ref_name;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = widget->widget;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_entry_get_type (), GtkEntry));
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _tmp5_;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = string_chug (_tmp6_);
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = _tmp7_;
#line 332 "../src/SourceDialog/SourceDialog.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp2_, _tmp3_, (gpointer) ((gintptr) (g_utf8_strlen (_tmp8_, (gssize) -1) > 0)));
#line 332 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (_tmp8_);
#line 333 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 970 "SourceDialog.c"
}


static void
maya_view_source_dialog_check_can_validate (MayaViewSourceDialog* self)
{
	GtkEntry* _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
#line 336 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 982 "SourceDialog.c"
	{
		GeeIterator* _valid_it = NULL;
		GeeHashMap* _tmp0_;
		GeeCollection* _tmp1_;
		GeeCollection* _tmp2_;
		GeeCollection* _tmp3_;
		GeeIterator* _tmp4_;
		GeeIterator* _tmp5_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp0_ = self->priv->widgets_checked;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = gee_abstract_map_get_values ((GeeAbstractMap*) _tmp0_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = _tmp1_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = _tmp2_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = _tmp4_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_tmp3_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_valid_it = _tmp5_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1009 "SourceDialog.c"
			GeeIterator* _tmp6_;
			gboolean valid = FALSE;
			GeeIterator* _tmp7_;
			gpointer _tmp8_;
			gboolean _tmp9_;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp6_ = _valid_it;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			if (!gee_iterator_next (_tmp6_)) {
#line 337 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 1021 "SourceDialog.c"
			}
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp7_ = _valid_it;
#line 337 "../src/SourceDialog/SourceDialog.vala"
			_tmp8_ = gee_iterator_get (_tmp7_);
#line 337 "../src/SourceDialog/SourceDialog.vala"
			valid = (gboolean) ((gintptr) _tmp8_);
#line 338 "../src/SourceDialog/SourceDialog.vala"
			_tmp9_ = valid;
#line 338 "../src/SourceDialog/SourceDialog.vala"
			if (_tmp9_ == FALSE) {
#line 1033 "SourceDialog.c"
				GtkButton* _tmp10_;
#line 339 "../src/SourceDialog/SourceDialog.vala"
				_tmp10_ = self->priv->create_button;
#line 339 "../src/SourceDialog/SourceDialog.vala"
				gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, FALSE);
#line 340 "../src/SourceDialog/SourceDialog.vala"
				_g_object_unref0 (_valid_it);
#line 340 "../src/SourceDialog/SourceDialog.vala"
				return;
#line 1043 "SourceDialog.c"
			}
		}
#line 337 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_valid_it);
#line 1048 "SourceDialog.c"
	}
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = self->priv->name_entry;
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = gtk_entry_get_text (_tmp11_);
#line 344 "../src/SourceDialog/SourceDialog.vala"
	_tmp13_ = _tmp12_;
#line 344 "../src/SourceDialog/SourceDialog.vala"
	if (g_strcmp0 (_tmp13_, "") != 0) {
#line 1058 "SourceDialog.c"
		GtkButton* _tmp14_;
#line 345 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->create_button;
#line 345 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, TRUE);
#line 1064 "SourceDialog.c"
	}
}


void
maya_view_source_dialog_save (MayaViewSourceDialog* self)
{
	MayaViewEventType _tmp0_;
#line 349 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 350 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 350 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp0_ == MAYA_VIEW_EVENT_TYPE_ADD) {
#line 1079 "SourceDialog.c"
		MayaBackend* _tmp1_;
		GtkEntry* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		gboolean _tmp6_;
		GeeCollection* _tmp7_;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp1_ = self->priv->current_backend;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp2_ = self->priv->name_entry;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp4_ = _tmp3_;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp5_ = self->priv->hex_color;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp6_ = self->priv->set_as_default;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		_tmp7_ = self->priv->backend_widgets;
#line 351 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_add_new_calendar (_tmp1_, _tmp4_, _tmp5_, _tmp6_, _tmp7_);
#line 352 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1105 "SourceDialog.c"
	} else {
		MayaBackend* _tmp8_;
		GtkEntry* _tmp9_;
		const gchar* _tmp10_;
		const gchar* _tmp11_;
		const gchar* _tmp12_;
		gboolean _tmp13_;
		GeeCollection* _tmp14_;
		ESource* _tmp15_;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp8_ = self->priv->current_backend;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp9_ = self->priv->name_entry;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp10_ = gtk_entry_get_text (_tmp9_);
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp11_ = _tmp10_;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp12_ = self->priv->hex_color;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp13_ = self->priv->set_as_default;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp14_ = self->priv->backend_widgets;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		_tmp15_ = self->priv->source;
#line 354 "../src/SourceDialog/SourceDialog.vala"
		maya_backend_modify_calendar (_tmp8_, _tmp11_, _tmp12_, _tmp13_, _tmp14_, _tmp15_);
#line 355 "../src/SourceDialog/SourceDialog.vala"
		g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1135 "SourceDialog.c"
	}
}


MayaViewSourceDialog*
maya_view_source_dialog_construct (GType object_type)
{
	MayaViewSourceDialog * self = NULL;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = (MayaViewSourceDialog*) g_object_new (object_type, NULL);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return self;
#line 1148 "SourceDialog.c"
}


MayaViewSourceDialog*
maya_view_source_dialog_new (void)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	return maya_view_source_dialog_construct (MAYA_VIEW_TYPE_SOURCE_DIALOG);
#line 1157 "SourceDialog.c"
}


MayaViewEventType
maya_view_source_dialog_get_event_type (MayaViewSourceDialog* self)
{
	MayaViewEventType result;
	MayaViewEventType _tmp0_;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->_event_type;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	result = _tmp0_;
#line 23 "../src/SourceDialog/SourceDialog.vala"
	return result;
#line 1174 "SourceDialog.c"
}


static void
maya_view_source_dialog_set_event_type (MayaViewSourceDialog* self,
                                        MayaViewEventType value)
{
#line 23 "../src/SourceDialog/SourceDialog.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	if (maya_view_source_dialog_get_event_type (self) != value) {
#line 23 "../src/SourceDialog/SourceDialog.vala"
		self->priv->_event_type = value;
#line 23 "../src/SourceDialog/SourceDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY]);
#line 1190 "SourceDialog.c"
	}
}


static void
_maya_view_source_dialog_save_gtk_button_clicked (GtkButton* _sender,
                                                  gpointer self)
{
#line 55 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_save ((MayaViewSourceDialog*) self);
#line 1201 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda158_ (MayaViewSourceDialog* self)
{
#line 56 "../src/SourceDialog/SourceDialog.vala"
	g_signal_emit (self, maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL], 0);
#line 1210 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda158__gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 56 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda158_ ((MayaViewSourceDialog*) self);
#line 1220 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda159_ (MayaViewSourceDialog* self)
{
#line 69 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_check_can_validate (self);
#line 1229 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda159__gtk_editable_changed (GtkEditable* _sender,
                                                             gpointer self)
{
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda159_ ((MayaViewSourceDialog*) self);
#line 1239 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda160_ (MayaViewSourceDialog* self)
{
	GValue backend = {0};
	GtkTreeIter b_iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	GValue _tmp5_;
	MayaBackend* _tmp6_;
	GValue _tmp7_;
	ESource* _tmp8_;
	GeeCollection* _tmp9_;
#line 83 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->type_combobox;
#line 83 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 83 "../src/SourceDialog/SourceDialog.vala"
	b_iter = _tmp1_;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = self->priv->list_store;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = b_iter;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 84 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 84 "../src/SourceDialog/SourceDialog.vala"
	backend = _tmp4_;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = backend;
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = _g_object_ref0 (g_value_get_object (&_tmp5_));
#line 85 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 85 "../src/SourceDialog/SourceDialog.vala"
	self->priv->current_backend = _tmp6_;
#line 86 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_remove_backend_widgets (self);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = backend;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = self->priv->source;
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = maya_backend_get_new_calendar_widget (g_value_get_object (&_tmp7_), _tmp8_);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 87 "../src/SourceDialog/SourceDialog.vala"
	self->priv->backend_widgets = _tmp9_;
#line 88 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_add_backend_widgets (self);
#line 80 "../src/SourceDialog/SourceDialog.vala"
	G_IS_VALUE (&backend) ? (g_value_unset (&backend), NULL) : NULL;
#line 1298 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda160__gtk_combo_box_changed (GtkComboBox* _sender,
                                                              gpointer self)
{
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda160_ ((MayaViewSourceDialog*) self);
#line 1308 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda161_ (MayaViewSourceDialog* self)
{
	gboolean _tmp0_;
#line 186 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = self->priv->set_as_default;
#line 186 "../src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = !_tmp0_;
#line 1320 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda161__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda161_ ((MayaViewSourceDialog*) self);
#line 1330 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda162_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#da3d41");
#line 190 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 190 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1344 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda162__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 189 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda162_ ((MayaViewSourceDialog*) self);
#line 1354 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda163_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 194 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#f37329");
#line 194 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 194 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1368 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda163__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda163_ ((MayaViewSourceDialog*) self);
#line 1378 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda164_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 198 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#e6a92a");
#line 198 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 198 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1392 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda164__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda164_ ((MayaViewSourceDialog*) self);
#line 1402 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda165_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 202 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#81c837");
#line 202 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 202 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1416 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda165__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda165_ ((MayaViewSourceDialog*) self);
#line 1426 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda166_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 206 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#3689e6");
#line 206 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 206 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1440 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda166__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda166_ ((MayaViewSourceDialog*) self);
#line 1450 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda167_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 210 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#a56de2");
#line 210 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 210 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1464 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda167__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda167_ ((MayaViewSourceDialog*) self);
#line 1474 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda168_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 214 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#8a715e");
#line 214 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 214 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1488 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda168__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda168_ ((MayaViewSourceDialog*) self);
#line 1498 "SourceDialog.c"
}


static void
_maya_view_source_dialog___lambda169_ (MayaViewSourceDialog* self)
{
	gchar* _tmp0_;
#line 218 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = g_strdup ("#667885");
#line 218 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 218 "../src/SourceDialog/SourceDialog.vala"
	self->priv->hex_color = _tmp0_;
#line 1512 "SourceDialog.c"
}


static void
__maya_view_source_dialog___lambda169__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                  gpointer self)
{
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_maya_view_source_dialog___lambda169_ ((MayaViewSourceDialog*) self);
#line 1522 "SourceDialog.c"
}


static GObject *
maya_view_source_dialog_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MayaViewSourceDialog * self;
	GeeHashMap* _tmp0_;
	GtkButton* cancel_button = NULL;
	GtkButton* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
	GtkButton* _tmp4_;
	GtkButtonBox* buttonbox = NULL;
	GtkButtonBox* _tmp5_;
	GtkButtonBox* _tmp6_;
	GtkButtonBox* _tmp7_;
	GtkButtonBox* _tmp8_;
	GtkButton* _tmp9_;
	GtkButtonBox* _tmp10_;
	GtkButton* _tmp11_;
	GtkLabel* name_label = NULL;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkEntry* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkListStore* _tmp17_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp18_;
	GtkListStore* _tmp19_;
	GtkComboBox* _tmp20_;
	GtkComboBox* _tmp21_;
	GtkComboBox* _tmp22_;
	GtkCellRendererText* _tmp23_;
	GtkComboBox* _tmp24_;
	GtkCellRendererText* _tmp25_;
	GtkComboBox* _tmp26_;
	GtkLabel* type_label = NULL;
	GtkLabel* _tmp27_;
	GtkLabel* _tmp28_;
	GtkTreeIter iter = {0};
	MayaBackendsManager* backends_manager = NULL;
	MayaBackendsManager* _tmp29_;
	MayaBackendsManager* _tmp51_;
	GeeArrayList* _tmp52_;
	gint _tmp53_;
	gint _tmp54_;
	GtkComboBox* _tmp57_;
	GtkCssProvider* css_provider = NULL;
	GtkCssProvider* _tmp58_;
	GtkCssProvider* _tmp59_;
	GtkLabel* color_label = NULL;
	GtkLabel* _tmp60_;
	GtkLabel* _tmp61_;
	GtkRadioButton* _tmp62_;
	GtkStyleContext* color_button_red_context = NULL;
	GtkRadioButton* _tmp63_;
	GtkStyleContext* _tmp64_;
	GtkStyleContext* _tmp65_;
	GtkStyleContext* _tmp66_;
	GtkStyleContext* _tmp67_;
	GtkStyleContext* _tmp68_;
	GtkCssProvider* _tmp69_;
	GtkRadioButton* _tmp70_;
	GtkRadioButton* _tmp71_;
	GtkStyleContext* color_button_orange_context = NULL;
	GtkRadioButton* _tmp72_;
	GtkStyleContext* _tmp73_;
	GtkStyleContext* _tmp74_;
	GtkStyleContext* _tmp75_;
	GtkStyleContext* _tmp76_;
	GtkStyleContext* _tmp77_;
	GtkCssProvider* _tmp78_;
	GtkRadioButton* _tmp79_;
	GtkRadioButton* _tmp80_;
	GtkStyleContext* color_button_yellow_context = NULL;
	GtkRadioButton* _tmp81_;
	GtkStyleContext* _tmp82_;
	GtkStyleContext* _tmp83_;
	GtkStyleContext* _tmp84_;
	GtkStyleContext* _tmp85_;
	GtkStyleContext* _tmp86_;
	GtkCssProvider* _tmp87_;
	GtkRadioButton* _tmp88_;
	GtkRadioButton* _tmp89_;
	GtkStyleContext* color_button_green_context = NULL;
	GtkRadioButton* _tmp90_;
	GtkStyleContext* _tmp91_;
	GtkStyleContext* _tmp92_;
	GtkStyleContext* _tmp93_;
	GtkStyleContext* _tmp94_;
	GtkStyleContext* _tmp95_;
	GtkCssProvider* _tmp96_;
	GtkRadioButton* _tmp97_;
	GtkRadioButton* _tmp98_;
	GtkStyleContext* color_button_blue_context = NULL;
	GtkRadioButton* _tmp99_;
	GtkStyleContext* _tmp100_;
	GtkStyleContext* _tmp101_;
	GtkStyleContext* _tmp102_;
	GtkStyleContext* _tmp103_;
	GtkStyleContext* _tmp104_;
	GtkCssProvider* _tmp105_;
	GtkRadioButton* _tmp106_;
	GtkRadioButton* _tmp107_;
	GtkStyleContext* color_button_purple_context = NULL;
	GtkRadioButton* _tmp108_;
	GtkStyleContext* _tmp109_;
	GtkStyleContext* _tmp110_;
	GtkStyleContext* _tmp111_;
	GtkStyleContext* _tmp112_;
	GtkStyleContext* _tmp113_;
	GtkCssProvider* _tmp114_;
	GtkRadioButton* _tmp115_;
	GtkRadioButton* _tmp116_;
	GtkStyleContext* color_button_brown_context = NULL;
	GtkRadioButton* _tmp117_;
	GtkStyleContext* _tmp118_;
	GtkStyleContext* _tmp119_;
	GtkStyleContext* _tmp120_;
	GtkStyleContext* _tmp121_;
	GtkStyleContext* _tmp122_;
	GtkCssProvider* _tmp123_;
	GtkRadioButton* _tmp124_;
	GtkRadioButton* _tmp125_;
	GtkStyleContext* color_button_slate_context = NULL;
	GtkRadioButton* _tmp126_;
	GtkStyleContext* _tmp127_;
	GtkStyleContext* _tmp128_;
	GtkStyleContext* _tmp129_;
	GtkStyleContext* _tmp130_;
	GtkStyleContext* _tmp131_;
	GtkCssProvider* _tmp132_;
	GtkRadioButton* _tmp133_;
	GtkRadioButton* _tmp134_;
	GtkGrid* color_grid = NULL;
	GtkGrid* _tmp135_;
	GtkGrid* _tmp136_;
	GtkGrid* _tmp137_;
	GtkRadioButton* _tmp138_;
	GtkGrid* _tmp139_;
	GtkRadioButton* _tmp140_;
	GtkGrid* _tmp141_;
	GtkRadioButton* _tmp142_;
	GtkGrid* _tmp143_;
	GtkRadioButton* _tmp144_;
	GtkGrid* _tmp145_;
	GtkRadioButton* _tmp146_;
	GtkGrid* _tmp147_;
	GtkRadioButton* _tmp148_;
	GtkGrid* _tmp149_;
	GtkRadioButton* _tmp150_;
	GtkGrid* _tmp151_;
	GtkRadioButton* _tmp152_;
	GtkCheckButton* check_button = NULL;
	GtkCheckButton* _tmp153_;
	GtkCheckButton* _tmp154_;
	GtkRadioButton* _tmp155_;
	GtkRadioButton* _tmp156_;
	GtkRadioButton* _tmp157_;
	GtkRadioButton* _tmp158_;
	GtkRadioButton* _tmp159_;
	GtkRadioButton* _tmp160_;
	GtkRadioButton* _tmp161_;
	GtkRadioButton* _tmp162_;
	GtkGrid* _tmp163_;
	GtkGrid* _tmp164_;
	GtkGrid* _tmp165_;
	GtkGrid* _tmp166_;
	GtkLabel* _tmp167_;
	GtkGrid* _tmp168_;
	GtkComboBox* _tmp169_;
	GtkGrid* _tmp170_;
	GtkLabel* _tmp171_;
	GtkGrid* _tmp172_;
	GtkEntry* _tmp173_;
	GtkGrid* _tmp174_;
	GtkLabel* _tmp175_;
	GtkGrid* _tmp176_;
	GtkGrid* _tmp177_;
	GtkGrid* _tmp178_;
	GtkCheckButton* _tmp179_;
	GtkGrid* _tmp180_;
	GtkButtonBox* _tmp181_;
#line 49 "../src/SourceDialog/SourceDialog.vala"
	parent_class = G_OBJECT_CLASS (maya_view_source_dialog_parent_class);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_BOOLEAN, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 50 "../src/SourceDialog/SourceDialog.vala"
	self->priv->widgets_checked = _tmp0_;
#line 52 "../src/SourceDialog/SourceDialog.vala"
	_tmp1_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 52 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 52 "../src/SourceDialog/SourceDialog.vala"
	cancel_button = _tmp1_;
#line 53 "../src/SourceDialog/SourceDialog.vala"
	_tmp2_ = (GtkButton*) gtk_button_new_with_label (_ ("Create"));
#line 53 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 53 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 53 "../src/SourceDialog/SourceDialog.vala"
	self->priv->create_button = _tmp2_;
#line 55 "../src/SourceDialog/SourceDialog.vala"
	_tmp3_ = self->priv->create_button;
#line 55 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp3_, "clicked", (GCallback) _maya_view_source_dialog_save_gtk_button_clicked, self, 0);
#line 56 "../src/SourceDialog/SourceDialog.vala"
	_tmp4_ = cancel_button;
#line 56 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp4_, "clicked", (GCallback) __maya_view_source_dialog___lambda158__gtk_button_clicked, self, 0);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	_tmp5_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 58 "../src/SourceDialog/SourceDialog.vala"
	buttonbox = _tmp5_;
#line 59 "../src/SourceDialog/SourceDialog.vala"
	_tmp6_ = buttonbox;
#line 59 "../src/SourceDialog/SourceDialog.vala"
	g_object_set (_tmp6_, "layout-style", GTK_BUTTONBOX_END, NULL);
#line 60 "../src/SourceDialog/SourceDialog.vala"
	_tmp7_ = buttonbox;
#line 60 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp7_, 6);
#line 61 "../src/SourceDialog/SourceDialog.vala"
	_tmp8_ = buttonbox;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	_tmp9_ = cancel_button;
#line 61 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp8_, (GtkWidget*) _tmp9_, TRUE, TRUE, (guint) 0);
#line 62 "../src/SourceDialog/SourceDialog.vala"
	_tmp10_ = buttonbox;
#line 62 "../src/SourceDialog/SourceDialog.vala"
	_tmp11_ = self->priv->create_button;
#line 62 "../src/SourceDialog/SourceDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp10_, (GtkWidget*) _tmp11_, TRUE, TRUE, (guint) 0);
#line 64 "../src/SourceDialog/SourceDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Name:"));
#line 64 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 64 "../src/SourceDialog/SourceDialog.vala"
	name_label = _tmp12_;
#line 65 "../src/SourceDialog/SourceDialog.vala"
	_tmp13_ = name_label;
#line 65 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp13_, (gfloat) 1);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	_tmp14_ = (GtkEntry*) gtk_entry_new ();
#line 67 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp14_);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 67 "../src/SourceDialog/SourceDialog.vala"
	self->priv->name_entry = _tmp14_;
#line 68 "../src/SourceDialog/SourceDialog.vala"
	_tmp15_ = self->priv->name_entry;
#line 68 "../src/SourceDialog/SourceDialog.vala"
	gtk_entry_set_placeholder_text (_tmp15_, _ ("Calendar Name"));
#line 69 "../src/SourceDialog/SourceDialog.vala"
	_tmp16_ = self->priv->name_entry;
#line 69 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp16_, "changed", (GCallback) __maya_view_source_dialog___lambda159__gtk_editable_changed, self, 0);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_tmp17_ = gtk_list_store_new (2, G_TYPE_STRING, MAYA_TYPE_BACKEND, -1);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 71 "../src/SourceDialog/SourceDialog.vala"
	self->priv->list_store = _tmp17_;
#line 73 "../src/SourceDialog/SourceDialog.vala"
	_tmp18_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 73 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp18_);
#line 73 "../src/SourceDialog/SourceDialog.vala"
	renderer = _tmp18_;
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_tmp19_ = self->priv->list_store;
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_tmp20_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp19_);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 75 "../src/SourceDialog/SourceDialog.vala"
	self->priv->type_combobox = _tmp20_;
#line 76 "../src/SourceDialog/SourceDialog.vala"
	_tmp21_ = self->priv->type_combobox;
#line 76 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp22_ = self->priv->type_combobox;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	_tmp23_ = renderer;
#line 77 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp22_, (GtkCellRenderer*) _tmp23_, TRUE);
#line 78 "../src/SourceDialog/SourceDialog.vala"
	_tmp24_ = self->priv->type_combobox;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	_tmp25_ = renderer;
#line 78 "../src/SourceDialog/SourceDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp24_, (GtkCellRenderer*) _tmp25_, "text", 0);
#line 80 "../src/SourceDialog/SourceDialog.vala"
	_tmp26_ = self->priv->type_combobox;
#line 80 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object (_tmp26_, "changed", (GCallback) __maya_view_source_dialog___lambda160__gtk_combo_box_changed, self, 0);
#line 91 "../src/SourceDialog/SourceDialog.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (_ ("Type:"));
#line 91 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 91 "../src/SourceDialog/SourceDialog.vala"
	type_label = _tmp27_;
#line 92 "../src/SourceDialog/SourceDialog.vala"
	_tmp28_ = type_label;
#line 92 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp28_, 1.0f);
#line 95 "../src/SourceDialog/SourceDialog.vala"
	_tmp29_ = maya_backends_manager_get_default ();
#line 95 "../src/SourceDialog/SourceDialog.vala"
	backends_manager = _tmp29_;
#line 1854 "SourceDialog.c"
	{
		GeeArrayList* _backend_list = NULL;
		MayaBackendsManager* _tmp30_;
		GeeArrayList* _tmp31_;
		GeeArrayList* _tmp32_;
		gint _backend_size = 0;
		GeeArrayList* _tmp33_;
		gint _tmp34_;
		gint _tmp35_;
		gint _backend_index = 0;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp30_ = backends_manager;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp31_ = _tmp30_->backends;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp32_ = _g_object_ref0 (_tmp31_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_list = _tmp32_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp33_ = _backend_list;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp34_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp33_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_tmp35_ = _tmp34_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_size = _tmp35_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_backend_index = -1;
#line 96 "../src/SourceDialog/SourceDialog.vala"
		while (TRUE) {
#line 1885 "SourceDialog.c"
			gint _tmp36_;
			gint _tmp37_;
			gint _tmp38_;
			MayaBackend* backend = NULL;
			GeeArrayList* _tmp39_;
			gint _tmp40_;
			gpointer _tmp41_;
			MayaBackend* _tmp42_;
			GtkListStore* _tmp43_;
			GtkTreeIter _tmp44_ = {0};
			GtkListStore* _tmp45_;
			GtkTreeIter _tmp46_;
			MayaBackend* _tmp47_;
			gchar* _tmp48_;
			gchar* _tmp49_;
			MayaBackend* _tmp50_;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp36_ = _backend_index;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_backend_index = _tmp36_ + 1;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp37_ = _backend_index;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp38_ = _backend_size;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			if (!(_tmp37_ < _tmp38_)) {
#line 96 "../src/SourceDialog/SourceDialog.vala"
				break;
#line 1914 "SourceDialog.c"
			}
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp39_ = _backend_list;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp40_ = _backend_index;
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp41_ = gee_abstract_list_get ((GeeAbstractList*) _tmp39_, _tmp40_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_tmp42_ = _g_object_ref0 ((MayaBackend*) _tmp41_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			backend = _tmp42_;
#line 97 "../src/SourceDialog/SourceDialog.vala"
			_tmp43_ = self->priv->list_store;
#line 97 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_append (_tmp43_, &_tmp44_);
#line 97 "../src/SourceDialog/SourceDialog.vala"
			iter = _tmp44_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp45_ = self->priv->list_store;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp46_ = iter;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp47_ = backend;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp48_ = maya_backend_get_name (_tmp47_);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp49_ = _tmp48_;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_tmp50_ = backend;
#line 98 "../src/SourceDialog/SourceDialog.vala"
			gtk_list_store_set (_tmp45_, &_tmp46_, 0, _tmp49_, 1, _tmp50_, -1);
#line 98 "../src/SourceDialog/SourceDialog.vala"
			_g_free0 (_tmp49_);
#line 96 "../src/SourceDialog/SourceDialog.vala"
			_g_object_unref0 (backend);
#line 1950 "SourceDialog.c"
		}
#line 96 "../src/SourceDialog/SourceDialog.vala"
		_g_object_unref0 (_backend_list);
#line 1954 "SourceDialog.c"
	}
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp51_ = backends_manager;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp52_ = _tmp51_->backends;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp53_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp52_);
#line 101 "../src/SourceDialog/SourceDialog.vala"
	_tmp54_ = _tmp53_;
#line 101 "../src/SourceDialog/SourceDialog.vala"
	if (_tmp54_ <= 1) {
#line 1966 "SourceDialog.c"
		GtkComboBox* _tmp55_;
		GtkLabel* _tmp56_;
#line 102 "../src/SourceDialog/SourceDialog.vala"
		_tmp55_ = self->priv->type_combobox;
#line 102 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp55_, TRUE);
#line 103 "../src/SourceDialog/SourceDialog.vala"
		_tmp56_ = type_label;
#line 103 "../src/SourceDialog/SourceDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp56_, TRUE);
#line 1977 "SourceDialog.c"
	}
#line 106 "../src/SourceDialog/SourceDialog.vala"
	_tmp57_ = self->priv->type_combobox;
#line 106 "../src/SourceDialog/SourceDialog.vala"
	gtk_combo_box_set_active (_tmp57_, 0);
#line 108 "../src/SourceDialog/SourceDialog.vala"
	_tmp58_ = gtk_css_provider_new ();
#line 108 "../src/SourceDialog/SourceDialog.vala"
	css_provider = _tmp58_;
#line 109 "../src/SourceDialog/SourceDialog.vala"
	_tmp59_ = css_provider;
#line 109 "../src/SourceDialog/SourceDialog.vala"
	gtk_css_provider_load_from_resource (_tmp59_, "/io/elementary/calendar/ColorButton.css");
#line 111 "../src/SourceDialog/SourceDialog.vala"
	_tmp60_ = (GtkLabel*) gtk_label_new (_ ("Color:"));
#line 111 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp60_);
#line 111 "../src/SourceDialog/SourceDialog.vala"
	color_label = _tmp60_;
#line 112 "../src/SourceDialog/SourceDialog.vala"
	_tmp61_ = color_label;
#line 112 "../src/SourceDialog/SourceDialog.vala"
	gtk_label_set_xalign (_tmp61_, (gfloat) 1);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	_tmp62_ = (GtkRadioButton*) gtk_radio_button_new (NULL);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp62_);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 114 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_red = _tmp62_;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp63_ = self->priv->color_button_red;
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp64_ = gtk_widget_get_style_context ((GtkWidget*) _tmp63_);
#line 116 "../src/SourceDialog/SourceDialog.vala"
	_tmp65_ = _g_object_ref0 (_tmp64_);
#line 116 "../src/SourceDialog/SourceDialog.vala"
	color_button_red_context = _tmp65_;
#line 117 "../src/SourceDialog/SourceDialog.vala"
	_tmp66_ = color_button_red_context;
#line 117 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp66_, "color-button");
#line 118 "../src/SourceDialog/SourceDialog.vala"
	_tmp67_ = color_button_red_context;
#line 118 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp67_, "red");
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp68_ = color_button_red_context;
#line 119 "../src/SourceDialog/SourceDialog.vala"
	_tmp69_ = css_provider;
#line 119 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp68_, (GtkStyleProvider*) _tmp69_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp70_ = self->priv->color_button_red;
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_tmp71_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp70_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 121 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_orange = _tmp71_;
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp72_ = self->priv->color_button_orange;
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp73_ = gtk_widget_get_style_context ((GtkWidget*) _tmp72_);
#line 123 "../src/SourceDialog/SourceDialog.vala"
	_tmp74_ = _g_object_ref0 (_tmp73_);
#line 123 "../src/SourceDialog/SourceDialog.vala"
	color_button_orange_context = _tmp74_;
#line 124 "../src/SourceDialog/SourceDialog.vala"
	_tmp75_ = color_button_orange_context;
#line 124 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp75_, "color-button");
#line 125 "../src/SourceDialog/SourceDialog.vala"
	_tmp76_ = color_button_orange_context;
#line 125 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp76_, "orange");
#line 126 "../src/SourceDialog/SourceDialog.vala"
	_tmp77_ = color_button_orange_context;
#line 126 "../src/SourceDialog/SourceDialog.vala"
	_tmp78_ = css_provider;
#line 126 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp77_, (GtkStyleProvider*) _tmp78_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_tmp79_ = self->priv->color_button_red;
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_tmp80_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp79_);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp80_);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 128 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_yellow = _tmp80_;
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp81_ = self->priv->color_button_yellow;
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp82_ = gtk_widget_get_style_context ((GtkWidget*) _tmp81_);
#line 130 "../src/SourceDialog/SourceDialog.vala"
	_tmp83_ = _g_object_ref0 (_tmp82_);
#line 130 "../src/SourceDialog/SourceDialog.vala"
	color_button_yellow_context = _tmp83_;
#line 131 "../src/SourceDialog/SourceDialog.vala"
	_tmp84_ = color_button_yellow_context;
#line 131 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp84_, "color-button");
#line 132 "../src/SourceDialog/SourceDialog.vala"
	_tmp85_ = color_button_yellow_context;
#line 132 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp85_, "yellow");
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp86_ = color_button_yellow_context;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	_tmp87_ = css_provider;
#line 133 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp86_, (GtkStyleProvider*) _tmp87_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_tmp88_ = self->priv->color_button_red;
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_tmp89_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp88_);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp89_);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 135 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_green = _tmp89_;
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp90_ = self->priv->color_button_green;
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp91_ = gtk_widget_get_style_context ((GtkWidget*) _tmp90_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	_tmp92_ = _g_object_ref0 (_tmp91_);
#line 137 "../src/SourceDialog/SourceDialog.vala"
	color_button_green_context = _tmp92_;
#line 138 "../src/SourceDialog/SourceDialog.vala"
	_tmp93_ = color_button_green_context;
#line 138 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp93_, "color-button");
#line 139 "../src/SourceDialog/SourceDialog.vala"
	_tmp94_ = color_button_green_context;
#line 139 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp94_, "green");
#line 140 "../src/SourceDialog/SourceDialog.vala"
	_tmp95_ = color_button_green_context;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	_tmp96_ = css_provider;
#line 140 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp95_, (GtkStyleProvider*) _tmp96_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_tmp97_ = self->priv->color_button_red;
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_tmp98_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp97_);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp98_);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 142 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_blue = _tmp98_;
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp99_ = self->priv->color_button_blue;
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp100_ = gtk_widget_get_style_context ((GtkWidget*) _tmp99_);
#line 144 "../src/SourceDialog/SourceDialog.vala"
	_tmp101_ = _g_object_ref0 (_tmp100_);
#line 144 "../src/SourceDialog/SourceDialog.vala"
	color_button_blue_context = _tmp101_;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	_tmp102_ = color_button_blue_context;
#line 145 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp102_, "color-button");
#line 146 "../src/SourceDialog/SourceDialog.vala"
	_tmp103_ = color_button_blue_context;
#line 146 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp103_, "blue");
#line 147 "../src/SourceDialog/SourceDialog.vala"
	_tmp104_ = color_button_blue_context;
#line 147 "../src/SourceDialog/SourceDialog.vala"
	_tmp105_ = css_provider;
#line 147 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp104_, (GtkStyleProvider*) _tmp105_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp106_ = self->priv->color_button_red;
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_tmp107_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp106_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp107_);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 149 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_purple = _tmp107_;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp108_ = self->priv->color_button_purple;
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp109_ = gtk_widget_get_style_context ((GtkWidget*) _tmp108_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	_tmp110_ = _g_object_ref0 (_tmp109_);
#line 151 "../src/SourceDialog/SourceDialog.vala"
	color_button_purple_context = _tmp110_;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	_tmp111_ = color_button_purple_context;
#line 152 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp111_, "color-button");
#line 153 "../src/SourceDialog/SourceDialog.vala"
	_tmp112_ = color_button_purple_context;
#line 153 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp112_, "purple");
#line 154 "../src/SourceDialog/SourceDialog.vala"
	_tmp113_ = color_button_purple_context;
#line 154 "../src/SourceDialog/SourceDialog.vala"
	_tmp114_ = css_provider;
#line 154 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp113_, (GtkStyleProvider*) _tmp114_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_tmp115_ = self->priv->color_button_red;
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_tmp116_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp115_);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp116_);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 156 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_brown = _tmp116_;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp117_ = self->priv->color_button_brown;
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp118_ = gtk_widget_get_style_context ((GtkWidget*) _tmp117_);
#line 158 "../src/SourceDialog/SourceDialog.vala"
	_tmp119_ = _g_object_ref0 (_tmp118_);
#line 158 "../src/SourceDialog/SourceDialog.vala"
	color_button_brown_context = _tmp119_;
#line 159 "../src/SourceDialog/SourceDialog.vala"
	_tmp120_ = color_button_brown_context;
#line 159 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp120_, "color-button");
#line 160 "../src/SourceDialog/SourceDialog.vala"
	_tmp121_ = color_button_brown_context;
#line 160 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp121_, "brown");
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp122_ = color_button_brown_context;
#line 161 "../src/SourceDialog/SourceDialog.vala"
	_tmp123_ = css_provider;
#line 161 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp122_, (GtkStyleProvider*) _tmp123_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp124_ = self->priv->color_button_red;
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_tmp125_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp124_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp125_);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 163 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_slate = _tmp125_;
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp126_ = self->priv->color_button_slate;
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp127_ = gtk_widget_get_style_context ((GtkWidget*) _tmp126_);
#line 165 "../src/SourceDialog/SourceDialog.vala"
	_tmp128_ = _g_object_ref0 (_tmp127_);
#line 165 "../src/SourceDialog/SourceDialog.vala"
	color_button_slate_context = _tmp128_;
#line 166 "../src/SourceDialog/SourceDialog.vala"
	_tmp129_ = color_button_slate_context;
#line 166 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp129_, "color-button");
#line 167 "../src/SourceDialog/SourceDialog.vala"
	_tmp130_ = color_button_slate_context;
#line 167 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_class (_tmp130_, "slate");
#line 168 "../src/SourceDialog/SourceDialog.vala"
	_tmp131_ = color_button_slate_context;
#line 168 "../src/SourceDialog/SourceDialog.vala"
	_tmp132_ = css_provider;
#line 168 "../src/SourceDialog/SourceDialog.vala"
	gtk_style_context_add_provider (_tmp131_, (GtkStyleProvider*) _tmp132_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_tmp133_ = self->priv->color_button_red;
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_tmp134_ = (GtkRadioButton*) gtk_radio_button_new_from_widget (_tmp133_);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp134_);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 170 "../src/SourceDialog/SourceDialog.vala"
	self->priv->color_button_none = _tmp134_;
#line 172 "../src/SourceDialog/SourceDialog.vala"
	_tmp135_ = (GtkGrid*) gtk_grid_new ();
#line 172 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp135_);
#line 172 "../src/SourceDialog/SourceDialog.vala"
	color_grid = _tmp135_;
#line 173 "../src/SourceDialog/SourceDialog.vala"
	_tmp136_ = color_grid;
#line 173 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp136_, 12);
#line 174 "../src/SourceDialog/SourceDialog.vala"
	_tmp137_ = color_grid;
#line 174 "../src/SourceDialog/SourceDialog.vala"
	_tmp138_ = self->priv->color_button_red;
#line 174 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp137_, (GtkWidget*) _tmp138_);
#line 175 "../src/SourceDialog/SourceDialog.vala"
	_tmp139_ = color_grid;
#line 175 "../src/SourceDialog/SourceDialog.vala"
	_tmp140_ = self->priv->color_button_orange;
#line 175 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp139_, (GtkWidget*) _tmp140_);
#line 176 "../src/SourceDialog/SourceDialog.vala"
	_tmp141_ = color_grid;
#line 176 "../src/SourceDialog/SourceDialog.vala"
	_tmp142_ = self->priv->color_button_yellow;
#line 176 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp141_, (GtkWidget*) _tmp142_);
#line 177 "../src/SourceDialog/SourceDialog.vala"
	_tmp143_ = color_grid;
#line 177 "../src/SourceDialog/SourceDialog.vala"
	_tmp144_ = self->priv->color_button_green;
#line 177 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp143_, (GtkWidget*) _tmp144_);
#line 178 "../src/SourceDialog/SourceDialog.vala"
	_tmp145_ = color_grid;
#line 178 "../src/SourceDialog/SourceDialog.vala"
	_tmp146_ = self->priv->color_button_blue;
#line 178 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp145_, (GtkWidget*) _tmp146_);
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp147_ = color_grid;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	_tmp148_ = self->priv->color_button_purple;
#line 179 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp147_, (GtkWidget*) _tmp148_);
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp149_ = color_grid;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	_tmp150_ = self->priv->color_button_brown;
#line 180 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp149_, (GtkWidget*) _tmp150_);
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp151_ = color_grid;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	_tmp152_ = self->priv->color_button_slate;
#line 181 "../src/SourceDialog/SourceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp151_, (GtkWidget*) _tmp152_);
#line 183 "../src/SourceDialog/SourceDialog.vala"
	_tmp153_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Mark as default calendar"));
#line 183 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp153_);
#line 183 "../src/SourceDialog/SourceDialog.vala"
	check_button = _tmp153_;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	_tmp154_ = check_button;
#line 185 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp154_, "toggled", (GCallback) __maya_view_source_dialog___lambda161__gtk_toggle_button_toggled, self, 0);
#line 189 "../src/SourceDialog/SourceDialog.vala"
	_tmp155_ = self->priv->color_button_red;
#line 189 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp155_, "toggled", (GCallback) __maya_view_source_dialog___lambda162__gtk_toggle_button_toggled, self, 0);
#line 193 "../src/SourceDialog/SourceDialog.vala"
	_tmp156_ = self->priv->color_button_orange;
#line 193 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp156_, "toggled", (GCallback) __maya_view_source_dialog___lambda163__gtk_toggle_button_toggled, self, 0);
#line 197 "../src/SourceDialog/SourceDialog.vala"
	_tmp157_ = self->priv->color_button_yellow;
#line 197 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp157_, "toggled", (GCallback) __maya_view_source_dialog___lambda164__gtk_toggle_button_toggled, self, 0);
#line 201 "../src/SourceDialog/SourceDialog.vala"
	_tmp158_ = self->priv->color_button_green;
#line 201 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp158_, "toggled", (GCallback) __maya_view_source_dialog___lambda165__gtk_toggle_button_toggled, self, 0);
#line 205 "../src/SourceDialog/SourceDialog.vala"
	_tmp159_ = self->priv->color_button_blue;
#line 205 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp159_, "toggled", (GCallback) __maya_view_source_dialog___lambda166__gtk_toggle_button_toggled, self, 0);
#line 209 "../src/SourceDialog/SourceDialog.vala"
	_tmp160_ = self->priv->color_button_purple;
#line 209 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp160_, "toggled", (GCallback) __maya_view_source_dialog___lambda167__gtk_toggle_button_toggled, self, 0);
#line 213 "../src/SourceDialog/SourceDialog.vala"
	_tmp161_ = self->priv->color_button_brown;
#line 213 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp161_, "toggled", (GCallback) __maya_view_source_dialog___lambda168__gtk_toggle_button_toggled, self, 0);
#line 217 "../src/SourceDialog/SourceDialog.vala"
	_tmp162_ = self->priv->color_button_slate;
#line 217 "../src/SourceDialog/SourceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp162_, "toggled", (GCallback) __maya_view_source_dialog___lambda169__gtk_toggle_button_toggled, self, 0);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_tmp163_ = (GtkGrid*) gtk_grid_new ();
#line 221 "../src/SourceDialog/SourceDialog.vala"
	g_object_ref_sink (_tmp163_);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 221 "../src/SourceDialog/SourceDialog.vala"
	self->priv->main_grid = _tmp163_;
#line 222 "../src/SourceDialog/SourceDialog.vala"
	_tmp164_ = self->priv->main_grid;
#line 222 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing (_tmp164_, 6);
#line 223 "../src/SourceDialog/SourceDialog.vala"
	_tmp165_ = self->priv->main_grid;
#line 223 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_column_spacing (_tmp165_, 12);
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_tmp166_ = self->priv->main_grid;
#line 224 "../src/SourceDialog/SourceDialog.vala"
	_tmp167_ = type_label;
#line 224 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp166_, (GtkWidget*) _tmp167_, 0, 0, 1, 1);
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_tmp168_ = self->priv->main_grid;
#line 225 "../src/SourceDialog/SourceDialog.vala"
	_tmp169_ = self->priv->type_combobox;
#line 225 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp168_, (GtkWidget*) _tmp169_, 1, 0, 1, 1);
#line 226 "../src/SourceDialog/SourceDialog.vala"
	_tmp170_ = self->priv->main_grid;
#line 226 "../src/SourceDialog/SourceDialog.vala"
	_tmp171_ = name_label;
#line 226 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp170_, (GtkWidget*) _tmp171_, 0, 1, 1, 1);
#line 227 "../src/SourceDialog/SourceDialog.vala"
	_tmp172_ = self->priv->main_grid;
#line 227 "../src/SourceDialog/SourceDialog.vala"
	_tmp173_ = self->priv->name_entry;
#line 227 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp172_, (GtkWidget*) _tmp173_, 1, 1, 1, 1);
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_tmp174_ = self->priv->main_grid;
#line 228 "../src/SourceDialog/SourceDialog.vala"
	_tmp175_ = color_label;
#line 228 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp174_, (GtkWidget*) _tmp175_, 0, 2, 1, 1);
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_tmp176_ = self->priv->main_grid;
#line 229 "../src/SourceDialog/SourceDialog.vala"
	_tmp177_ = color_grid;
#line 229 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp176_, (GtkWidget*) _tmp177_, 1, 2, 1, 1);
#line 230 "../src/SourceDialog/SourceDialog.vala"
	_tmp178_ = self->priv->main_grid;
#line 230 "../src/SourceDialog/SourceDialog.vala"
	_tmp179_ = check_button;
#line 230 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach (_tmp178_, (GtkWidget*) _tmp179_, 1, 3, 1, 1);
#line 232 "../src/SourceDialog/SourceDialog.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 233 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) self, 8);
#line 234 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 24);
#line 235 "../src/SourceDialog/SourceDialog.vala"
	_tmp180_ = self->priv->main_grid;
#line 235 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp180_, 0, 0, 1, 1);
#line 236 "../src/SourceDialog/SourceDialog.vala"
	_tmp181_ = buttonbox;
#line 236 "../src/SourceDialog/SourceDialog.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp181_, 0, 1, 1, 1);
#line 238 "../src/SourceDialog/SourceDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (check_button);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_grid);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_slate_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_brown_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_purple_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_blue_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_green_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_yellow_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_orange_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_button_red_context);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (color_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (css_provider);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (backends_manager);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (type_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (renderer);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (name_label);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (buttonbox);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (cancel_button);
#line 49 "../src/SourceDialog/SourceDialog.vala"
	return obj;
#line 2477 "SourceDialog.c"
}


static void
maya_view_source_dialog_class_init (MayaViewSourceDialogClass * klass)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_type_class_adjust_private_offset (klass, &MayaViewSourceDialog_private_offset);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_source_dialog_get_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_source_dialog_set_property;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = maya_view_source_dialog_constructor;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_source_dialog_finalize;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY, maya_view_source_dialog_properties[MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY] = g_param_spec_enum ("event-type", "event-type", "event-type", MAYA_VIEW_TYPE_EVENT_TYPE, MAYA_VIEW_EVENT_TYPE_EDIT, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 22 "../src/SourceDialog/SourceDialog.vala"
	maya_view_source_dialog_signals[MAYA_VIEW_SOURCE_DIALOG_GO_BACK_SIGNAL] = g_signal_new ("go-back", MAYA_VIEW_TYPE_SOURCE_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2500 "SourceDialog.c"
}


static void
maya_view_source_dialog_instance_init (MayaViewSourceDialog * self)
{
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self->priv = maya_view_source_dialog_get_instance_private (self);
#line 23 "../src/SourceDialog/SourceDialog.vala"
	self->priv->_event_type = MAYA_VIEW_EVENT_TYPE_EDIT;
#line 26 "../src/SourceDialog/SourceDialog.vala"
	self->priv->set_as_default = FALSE;
#line 35 "../src/SourceDialog/SourceDialog.vala"
	self->priv->source = NULL;
#line 2515 "SourceDialog.c"
}


static void
maya_view_source_dialog_finalize (GObject * obj)
{
	MayaViewSourceDialog * self;
#line 22 "../src/SourceDialog/SourceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 25 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->name_entry);
#line 27 "../src/SourceDialog/SourceDialog.vala"
	_g_free0 (self->priv->hex_color);
#line 28 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->current_backend);
#line 29 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->backend_widgets);
#line 30 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 31 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->widgets_checked);
#line 32 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->create_button);
#line 33 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->type_combobox);
#line 34 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->list_store);
#line 35 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 37 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_red);
#line 38 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_orange);
#line 39 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_yellow);
#line 40 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_green);
#line 41 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_blue);
#line 42 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_purple);
#line 43 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_brown);
#line 44 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_slate);
#line 45 "../src/SourceDialog/SourceDialog.vala"
	_g_object_unref0 (self->priv->color_button_none);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	G_OBJECT_CLASS (maya_view_source_dialog_parent_class)->finalize (obj);
#line 2565 "SourceDialog.c"
}


GType
maya_view_source_dialog_get_type (void)
{
	static volatile gsize maya_view_source_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_source_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewSourceDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_source_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewSourceDialog), 0, (GInstanceInitFunc) maya_view_source_dialog_instance_init, NULL };
		GType maya_view_source_dialog_type_id;
		maya_view_source_dialog_type_id = g_type_register_static (gtk_grid_get_type (), "MayaViewSourceDialog", &g_define_type_info, 0);
		MayaViewSourceDialog_private_offset = g_type_add_instance_private (maya_view_source_dialog_type_id, sizeof (MayaViewSourceDialogPrivate));
		g_once_init_leave (&maya_view_source_dialog_type_id__volatile, maya_view_source_dialog_type_id);
	}
	return maya_view_source_dialog_type_id__volatile;
}


static void
_vala_maya_view_source_dialog_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		g_value_set_enum (value, maya_view_source_dialog_get_event_type (self));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2600 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2606 "SourceDialog.c"
	}
}


static void
_vala_maya_view_source_dialog_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec)
{
	MayaViewSourceDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_SOURCE_DIALOG, MayaViewSourceDialog);
#line 22 "../src/SourceDialog/SourceDialog.vala"
	switch (property_id) {
#line 22 "../src/SourceDialog/SourceDialog.vala"
		case MAYA_VIEW_SOURCE_DIALOG_EVENT_TYPE_PROPERTY:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		maya_view_source_dialog_set_event_type (self, g_value_get_enum (value));
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2627 "SourceDialog.c"
		default:
#line 22 "../src/SourceDialog/SourceDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/SourceDialog/SourceDialog.vala"
		break;
#line 2633 "SourceDialog.c"
	}
}



