/* AgendaEventRow.c generated by valac 0.42.5, the Vala compiler
 * generated from AgendaEventRow.vala, do not modify */

/*
 * Copyright 2011-2018 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Maxwell Barvian
 *              Niels Avonds <niels.avonds@gmail.com>
 *              Corentin Noël <corentin@elementaryos.org>
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <libecal/libecal.h>
#include <libedataserver/libedataserver.h>
#include <gdk/gdk.h>
#include "elementary-calendar.h"
#include <libical/ical.h>
#include <glib/gi18n-lib.h>
#include <pango/pango.h>
#include <float.h>
#include <math.h>


#define MAYA_VIEW_TYPE_AGENDA_EVENT_ROW (maya_view_agenda_event_row_get_type ())
#define MAYA_VIEW_AGENDA_EVENT_ROW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRow))
#define MAYA_VIEW_AGENDA_EVENT_ROW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRowClass))
#define MAYA_VIEW_IS_AGENDA_EVENT_ROW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_VIEW_TYPE_AGENDA_EVENT_ROW))
#define MAYA_VIEW_IS_AGENDA_EVENT_ROW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_VIEW_TYPE_AGENDA_EVENT_ROW))
#define MAYA_VIEW_AGENDA_EVENT_ROW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRowClass))

typedef struct _MayaViewAgendaEventRow MayaViewAgendaEventRow;
typedef struct _MayaViewAgendaEventRowClass MayaViewAgendaEventRowClass;
typedef struct _MayaViewAgendaEventRowPrivate MayaViewAgendaEventRowPrivate;
enum  {
	MAYA_VIEW_AGENDA_EVENT_ROW_0_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY,
	MAYA_VIEW_AGENDA_EVENT_ROW_NUM_PROPERTIES
};
static GParamSpec* maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define MAYA_TYPE_EVENT_MENU (maya_event_menu_get_type ())
#define MAYA_EVENT_MENU(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_EVENT_MENU, MayaEventMenu))
#define MAYA_EVENT_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_EVENT_MENU, MayaEventMenuClass))
#define MAYA_IS_EVENT_MENU(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_EVENT_MENU))
#define MAYA_IS_EVENT_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_EVENT_MENU))
#define MAYA_EVENT_MENU_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_EVENT_MENU, MayaEventMenuClass))

typedef struct _MayaEventMenu MayaEventMenu;
typedef struct _MayaEventMenuClass MayaEventMenuClass;
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block25Data Block25Data;
enum  {
	MAYA_VIEW_AGENDA_EVENT_ROW_REMOVED_SIGNAL,
	MAYA_VIEW_AGENDA_EVENT_ROW_NUM_SIGNALS
};
static guint maya_view_agenda_event_row_signals[MAYA_VIEW_AGENDA_EVENT_ROW_NUM_SIGNALS] = {0};

struct _MayaViewAgendaEventRow {
	GtkListBoxRow parent_instance;
	MayaViewAgendaEventRowPrivate * priv;
};

struct _MayaViewAgendaEventRowClass {
	GtkListBoxRowClass parent_class;
};

struct _MayaViewAgendaEventRowPrivate {
	ECalComponent* _calevent;
	ESource* _source;
	gboolean _is_upcoming;
	gchar* _summary;
	gboolean _is_allday;
	gboolean _is_multiday;
	GtkRevealer* _revealer;
	GtkLabel* name_label;
	GtkLabel* datatime_label;
	GtkLabel* location_label;
	GtkStyleContext* event_image_context;
	GtkStyleContext* main_grid_context;
};

struct _Block25Data {
	int _ref_count_;
	MayaViewAgendaEventRow* self;
	GtkRevealer* location_revealer;
	ESourceCalendar* cal;
};


static gint MayaViewAgendaEventRow_private_offset;
static gpointer maya_view_agenda_event_row_parent_class = NULL;

#define EVENT_CSS "\n    @define-color accent_color %s;\n"
GType maya_view_agenda_event_row_get_type (void) G_GNUC_CONST;
MayaViewAgendaEventRow* maya_view_agenda_event_row_new (ESource* source,
                                                        ECalComponent* calevent,
                                                        gboolean is_upcoming);
MayaViewAgendaEventRow* maya_view_agenda_event_row_construct (GType object_type,
                                                              ESource* source,
                                                              ECalComponent* calevent,
                                                              gboolean is_upcoming);
static gboolean maya_view_agenda_event_row_on_button_press (MayaViewAgendaEventRow* self,
                                                     GdkEventButton* event);
ECalComponent* maya_view_agenda_event_row_get_calevent (MayaViewAgendaEventRow* self);
GType maya_event_menu_get_type (void) G_GNUC_CONST;
MayaEventMenu* maya_event_menu_new (ECalComponent* comp,
                                    GDateTime* date);
MayaEventMenu* maya_event_menu_construct (GType object_type,
                                          ECalComponent* comp,
                                          GDateTime* date);
void maya_view_agenda_event_row_update (MayaViewAgendaEventRow* self,
                                        ECalComponent* event);
static void maya_view_agenda_event_row_set_summary (MayaViewAgendaEventRow* self,
                                             const gchar* value);
const gchar* maya_view_agenda_event_row_get_summary (MayaViewAgendaEventRow* self);
static void maya_view_agenda_event_row_set_is_allday (MayaViewAgendaEventRow* self,
                                               gboolean value);
static void maya_view_agenda_event_row_set_is_multiday (MayaViewAgendaEventRow* self,
                                                 gboolean value);
gchar* maya_settings_DateFormat_Complete (void);
gchar* maya_settings_TimeFormat (void);
gboolean maya_view_agenda_event_row_get_is_multiday (MayaViewAgendaEventRow* self);
gboolean maya_view_agenda_event_row_get_is_allday (MayaViewAgendaEventRow* self);
gboolean maya_view_agenda_event_row_get_is_upcoming (MayaViewAgendaEventRow* self);
static void maya_view_agenda_event_row_reload_css (MayaViewAgendaEventRow* self,
                                            const gchar* background_color);
static void maya_view_agenda_event_row_set_calevent (MayaViewAgendaEventRow* self,
                                              ECalComponent* value);
ESource* maya_view_agenda_event_row_get_source (MayaViewAgendaEventRow* self);
static void maya_view_agenda_event_row_set_source (MayaViewAgendaEventRow* self,
                                            ESource* value);
static void maya_view_agenda_event_row_set_is_upcoming (MayaViewAgendaEventRow* self,
                                                 gboolean value);
GtkRevealer* maya_view_agenda_event_row_get_revealer (MayaViewAgendaEventRow* self);
static void maya_view_agenda_event_row_set_revealer (MayaViewAgendaEventRow* self,
                                              GtkRevealer* value);
static GObject * maya_view_agenda_event_row_constructor (GType type,
                                                  guint n_construct_properties,
                                                  GObjectConstructParam * construct_properties);
static Block25Data* block25_data_ref (Block25Data* _data25_);
static void block25_data_unref (void * _userdata_);
static void _maya_view_agenda_event_row___lambda192_ (Block25Data* _data25_);
static void __maya_view_agenda_event_row___lambda192__g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self);
static void _maya_view_agenda_event_row___lambda193_ (Block25Data* _data25_);
static void __maya_view_agenda_event_row___lambda193__g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self);
static void _maya_view_agenda_event_row___lambda194_ (MayaViewAgendaEventRow* self);
static void __maya_view_agenda_event_row___lambda194__gtk_widget_show (GtkWidget* _sender,
                                                                gpointer self);
static void _maya_view_agenda_event_row___lambda195_ (MayaViewAgendaEventRow* self);
static void __maya_view_agenda_event_row___lambda195__gtk_widget_hide (GtkWidget* _sender,
                                                                gpointer self);
static gboolean _maya_view_agenda_event_row_on_button_press_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                                    GdkEventButton* event,
                                                                                    gpointer self);
static void maya_view_agenda_event_row_finalize (GObject * obj);
static void _vala_maya_view_agenda_event_row_get_property (GObject * object,
                                                    guint property_id,
                                                    GValue * value,
                                                    GParamSpec * pspec);
static void _vala_maya_view_agenda_event_row_set_property (GObject * object,
                                                    guint property_id,
                                                    const GValue * value,
                                                    GParamSpec * pspec);


static inline gpointer
maya_view_agenda_event_row_get_instance_private (MayaViewAgendaEventRow* self)
{
	return G_STRUCT_MEMBER_P (self, MayaViewAgendaEventRow_private_offset);
}


MayaViewAgendaEventRow*
maya_view_agenda_event_row_construct (GType object_type,
                                      ESource* source,
                                      ECalComponent* calevent,
                                      gboolean is_upcoming)
{
	MayaViewAgendaEventRow * self = NULL;
#line 44 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (source != NULL, NULL);
#line 44 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (calevent != NULL, NULL);
#line 45 "../src/Widgets/AgendaEventRow.vala"
	self = (MayaViewAgendaEventRow*) g_object_new (object_type, "calevent", calevent, "is-upcoming", is_upcoming, "source", source, NULL);
#line 44 "../src/Widgets/AgendaEventRow.vala"
	return self;
#line 220 "AgendaEventRow.c"
}


MayaViewAgendaEventRow*
maya_view_agenda_event_row_new (ESource* source,
                                ECalComponent* calevent,
                                gboolean is_upcoming)
{
#line 44 "../src/Widgets/AgendaEventRow.vala"
	return maya_view_agenda_event_row_construct (MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, source, calevent, is_upcoming);
#line 231 "AgendaEventRow.c"
}


static gboolean
maya_view_agenda_event_row_on_button_press (MayaViewAgendaEventRow* self,
                                            GdkEventButton* event)
{
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	GdkEventType _tmp1_;
#line 137 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 137 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 138 "../src/Widgets/AgendaEventRow.vala"
	_tmp1_ = event->type;
#line 138 "../src/Widgets/AgendaEventRow.vala"
	if (_tmp1_ == GDK_BUTTON_PRESS) {
#line 250 "AgendaEventRow.c"
		guint _tmp2_;
#line 138 "../src/Widgets/AgendaEventRow.vala"
		_tmp2_ = event->button;
#line 138 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = _tmp2_ == ((guint) GDK_BUTTON_SECONDARY);
#line 256 "AgendaEventRow.c"
	} else {
#line 138 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = FALSE;
#line 260 "AgendaEventRow.c"
	}
#line 138 "../src/Widgets/AgendaEventRow.vala"
	if (_tmp0_) {
#line 264 "AgendaEventRow.c"
		GDateTime* start_date = NULL;
		ECalComponent* _tmp3_;
		icalcomponent* _tmp4_;
		GDateTime* _tmp5_;
		MayaEventMenu* menu = NULL;
		ECalComponent* _tmp6_;
		GDateTime* _tmp7_;
		MayaEventMenu* _tmp8_;
		MayaEventMenu* _tmp9_;
		MayaEventMenu* _tmp10_;
		MayaEventMenu* _tmp11_;
#line 139 "../src/Widgets/AgendaEventRow.vala"
		_tmp3_ = self->priv->_calevent;
#line 139 "../src/Widgets/AgendaEventRow.vala"
		_tmp4_ = e_cal_component_get_icalcomponent (_tmp3_);
#line 139 "../src/Widgets/AgendaEventRow.vala"
		_tmp5_ = maya_util_ical_to_date_time (icalcomponent_get_dtstart (_tmp4_));
#line 139 "../src/Widgets/AgendaEventRow.vala"
		start_date = _tmp5_;
#line 141 "../src/Widgets/AgendaEventRow.vala"
		_tmp6_ = self->priv->_calevent;
#line 141 "../src/Widgets/AgendaEventRow.vala"
		_tmp7_ = start_date;
#line 141 "../src/Widgets/AgendaEventRow.vala"
		_tmp8_ = maya_event_menu_new (_tmp6_, _tmp7_);
#line 141 "../src/Widgets/AgendaEventRow.vala"
		g_object_ref_sink (_tmp8_);
#line 141 "../src/Widgets/AgendaEventRow.vala"
		menu = _tmp8_;
#line 142 "../src/Widgets/AgendaEventRow.vala"
		_tmp9_ = menu;
#line 142 "../src/Widgets/AgendaEventRow.vala"
		gtk_menu_attach_to_widget ((GtkMenu*) _tmp9_, (GtkWidget*) self, NULL);
#line 143 "../src/Widgets/AgendaEventRow.vala"
		_tmp10_ = menu;
#line 143 "../src/Widgets/AgendaEventRow.vala"
		gtk_menu_popup_at_pointer ((GtkMenu*) _tmp10_, (GdkEvent*) event);
#line 144 "../src/Widgets/AgendaEventRow.vala"
		_tmp11_ = menu;
#line 144 "../src/Widgets/AgendaEventRow.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp11_);
#line 138 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (menu);
#line 138 "../src/Widgets/AgendaEventRow.vala"
		_g_date_time_unref0 (start_date);
#line 310 "AgendaEventRow.c"
	}
#line 147 "../src/Widgets/AgendaEventRow.vala"
	result = GDK_EVENT_PROPAGATE;
#line 147 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 316 "AgendaEventRow.c"
}


/**
     * Updates the event to match the given event.
     */
void
maya_view_agenda_event_row_update (MayaViewAgendaEventRow* self,
                                   ECalComponent* event)
{
	icalcomponent* ical_event = NULL;
	icalcomponent* _tmp0_;
	icalcomponent* _tmp1_;
	const gchar* _tmp2_;
	GtkLabel* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	GDateTime* start_date = NULL;
	GDateTime* end_date = NULL;
	icalcomponent* _tmp7_;
	GDateTime* _tmp8_ = NULL;
	GDateTime* _tmp9_ = NULL;
	GDateTime* _tmp10_;
	GDateTime* _tmp11_;
	icalcomponent* _tmp12_;
	gchar* start_date_string = NULL;
	GDateTime* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* end_date_string = NULL;
	GDateTime* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* start_time_string = NULL;
	GDateTime* _tmp23_;
	gchar* _tmp24_;
	gchar* _tmp25_;
	gchar* _tmp26_;
	gchar* _tmp27_;
	gchar* end_time_string = NULL;
	GDateTime* _tmp28_;
	gchar* _tmp29_;
	gchar* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* datetime_string = NULL;
	GtkLabel* _tmp33_;
	GtkLabel* _tmp34_;
	gboolean _tmp35_;
	GtkLabel* _tmp59_;
	const gchar* _tmp60_;
	gchar* _tmp61_;
	gchar* _tmp62_;
	GtkLabel* _tmp63_;
	icalcomponent* _tmp64_;
	const gchar* _tmp65_;
#line 153 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (event != NULL);
#line 154 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = e_cal_component_get_icalcomponent (event);
#line 154 "../src/Widgets/AgendaEventRow.vala"
	ical_event = _tmp0_;
#line 155 "../src/Widgets/AgendaEventRow.vala"
	_tmp1_ = ical_event;
#line 155 "../src/Widgets/AgendaEventRow.vala"
	_tmp2_ = icalcomponent_get_summary (_tmp1_);
#line 155 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_set_summary (self, _tmp2_);
#line 156 "../src/Widgets/AgendaEventRow.vala"
	_tmp3_ = self->priv->name_label;
#line 156 "../src/Widgets/AgendaEventRow.vala"
	_tmp4_ = self->priv->_summary;
#line 156 "../src/Widgets/AgendaEventRow.vala"
	_tmp5_ = g_markup_escape_text (_tmp4_, (gssize) -1);
#line 156 "../src/Widgets/AgendaEventRow.vala"
	_tmp6_ = _tmp5_;
#line 156 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_markup (_tmp3_, _tmp6_);
#line 156 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp6_);
#line 159 "../src/Widgets/AgendaEventRow.vala"
	_tmp7_ = ical_event;
#line 159 "../src/Widgets/AgendaEventRow.vala"
	maya_util_get_local_datetimes_from_icalcomponent (_tmp7_, &_tmp8_, &_tmp9_);
#line 159 "../src/Widgets/AgendaEventRow.vala"
	_g_date_time_unref0 (start_date);
#line 159 "../src/Widgets/AgendaEventRow.vala"
	start_date = _tmp8_;
#line 159 "../src/Widgets/AgendaEventRow.vala"
	_g_date_time_unref0 (end_date);
#line 159 "../src/Widgets/AgendaEventRow.vala"
	end_date = _tmp9_;
#line 161 "../src/Widgets/AgendaEventRow.vala"
	_tmp10_ = start_date;
#line 161 "../src/Widgets/AgendaEventRow.vala"
	_tmp11_ = end_date;
#line 161 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_set_is_allday (self, maya_util_is_all_day (_tmp10_, _tmp11_));
#line 162 "../src/Widgets/AgendaEventRow.vala"
	_tmp12_ = ical_event;
#line 162 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_set_is_multiday (self, maya_util_is_multiday_event (_tmp12_));
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_tmp13_ = start_date;
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_tmp14_ = maya_settings_DateFormat_Complete ();
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_tmp15_ = _tmp14_;
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_tmp16_ = g_date_time_format (_tmp13_, _tmp15_);
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_tmp17_ = _tmp16_;
#line 164 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp15_);
#line 164 "../src/Widgets/AgendaEventRow.vala"
	start_date_string = _tmp17_;
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_tmp18_ = end_date;
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_tmp19_ = maya_settings_DateFormat_Complete ();
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_tmp20_ = _tmp19_;
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_tmp21_ = g_date_time_format (_tmp18_, _tmp20_);
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_tmp22_ = _tmp21_;
#line 165 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp20_);
#line 165 "../src/Widgets/AgendaEventRow.vala"
	end_date_string = _tmp22_;
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_tmp23_ = start_date;
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_tmp24_ = maya_settings_TimeFormat ();
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_tmp25_ = _tmp24_;
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_tmp26_ = g_date_time_format (_tmp23_, _tmp25_);
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_tmp27_ = _tmp26_;
#line 166 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp25_);
#line 166 "../src/Widgets/AgendaEventRow.vala"
	start_time_string = _tmp27_;
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_tmp28_ = end_date;
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_tmp29_ = maya_settings_TimeFormat ();
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_tmp30_ = _tmp29_;
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_tmp31_ = g_date_time_format (_tmp28_, _tmp30_);
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_tmp32_ = _tmp31_;
#line 167 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp30_);
#line 167 "../src/Widgets/AgendaEventRow.vala"
	end_time_string = _tmp32_;
#line 168 "../src/Widgets/AgendaEventRow.vala"
	datetime_string = NULL;
#line 170 "../src/Widgets/AgendaEventRow.vala"
	_tmp33_ = self->priv->datatime_label;
#line 170 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_show ((GtkWidget*) _tmp33_);
#line 171 "../src/Widgets/AgendaEventRow.vala"
	_tmp34_ = self->priv->datatime_label;
#line 171 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp34_, FALSE);
#line 172 "../src/Widgets/AgendaEventRow.vala"
	_tmp35_ = self->priv->_is_multiday;
#line 172 "../src/Widgets/AgendaEventRow.vala"
	if (_tmp35_) {
#line 496 "AgendaEventRow.c"
		gboolean _tmp36_;
#line 173 "../src/Widgets/AgendaEventRow.vala"
		_tmp36_ = self->priv->_is_allday;
#line 173 "../src/Widgets/AgendaEventRow.vala"
		if (_tmp36_) {
#line 502 "AgendaEventRow.c"
			const gchar* _tmp37_;
			const gchar* _tmp38_;
			gchar* _tmp39_;
#line 175 "../src/Widgets/AgendaEventRow.vala"
			_tmp37_ = start_date_string;
#line 175 "../src/Widgets/AgendaEventRow.vala"
			_tmp38_ = end_date_string;
#line 175 "../src/Widgets/AgendaEventRow.vala"
			_tmp39_ = g_strdup_printf (C_ ("date-range", "%s – %s"), _tmp37_, _tmp38_);
#line 175 "../src/Widgets/AgendaEventRow.vala"
			_g_free0 (datetime_string);
#line 175 "../src/Widgets/AgendaEventRow.vala"
			datetime_string = _tmp39_;
#line 516 "AgendaEventRow.c"
		} else {
			const gchar* _tmp40_;
			const gchar* _tmp41_;
			const gchar* _tmp42_;
			const gchar* _tmp43_;
			gchar* _tmp44_;
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_tmp40_ = start_date_string;
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_tmp41_ = start_time_string;
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_tmp42_ = end_date_string;
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_tmp43_ = end_time_string;
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_tmp44_ = g_strdup_printf (_ ("%s, %s – %s, %s"), _tmp40_, _tmp41_, _tmp42_, _tmp43_);
#line 178 "../src/Widgets/AgendaEventRow.vala"
			_g_free0 (datetime_string);
#line 178 "../src/Widgets/AgendaEventRow.vala"
			datetime_string = _tmp44_;
#line 537 "AgendaEventRow.c"
		}
	} else {
		gboolean _tmp45_;
#line 181 "../src/Widgets/AgendaEventRow.vala"
		_tmp45_ = self->priv->_is_upcoming;
#line 181 "../src/Widgets/AgendaEventRow.vala"
		if (!_tmp45_) {
#line 545 "AgendaEventRow.c"
			gboolean _tmp46_;
#line 182 "../src/Widgets/AgendaEventRow.vala"
			_tmp46_ = self->priv->_is_allday;
#line 182 "../src/Widgets/AgendaEventRow.vala"
			if (_tmp46_) {
#line 551 "AgendaEventRow.c"
				GtkLabel* _tmp47_;
				GtkLabel* _tmp48_;
#line 183 "../src/Widgets/AgendaEventRow.vala"
				_tmp47_ = self->priv->datatime_label;
#line 183 "../src/Widgets/AgendaEventRow.vala"
				gtk_widget_hide ((GtkWidget*) _tmp47_);
#line 184 "../src/Widgets/AgendaEventRow.vala"
				_tmp48_ = self->priv->datatime_label;
#line 184 "../src/Widgets/AgendaEventRow.vala"
				gtk_widget_set_no_show_all ((GtkWidget*) _tmp48_, TRUE);
#line 562 "AgendaEventRow.c"
			} else {
				const gchar* _tmp49_;
				const gchar* _tmp50_;
				gchar* _tmp51_;
#line 187 "../src/Widgets/AgendaEventRow.vala"
				_tmp49_ = start_time_string;
#line 187 "../src/Widgets/AgendaEventRow.vala"
				_tmp50_ = end_time_string;
#line 187 "../src/Widgets/AgendaEventRow.vala"
				_tmp51_ = g_strdup_printf (C_ ("time-range", "%s – %s"), _tmp49_, _tmp50_);
#line 187 "../src/Widgets/AgendaEventRow.vala"
				_g_free0 (datetime_string);
#line 187 "../src/Widgets/AgendaEventRow.vala"
				datetime_string = _tmp51_;
#line 577 "AgendaEventRow.c"
			}
		} else {
			gboolean _tmp52_;
#line 190 "../src/Widgets/AgendaEventRow.vala"
			_tmp52_ = self->priv->_is_allday;
#line 190 "../src/Widgets/AgendaEventRow.vala"
			if (_tmp52_) {
#line 585 "AgendaEventRow.c"
				const gchar* _tmp53_;
				gchar* _tmp54_;
#line 191 "../src/Widgets/AgendaEventRow.vala"
				_tmp53_ = start_date_string;
#line 191 "../src/Widgets/AgendaEventRow.vala"
				_tmp54_ = g_strdup_printf ("%s", _tmp53_);
#line 191 "../src/Widgets/AgendaEventRow.vala"
				_g_free0 (datetime_string);
#line 191 "../src/Widgets/AgendaEventRow.vala"
				datetime_string = _tmp54_;
#line 596 "AgendaEventRow.c"
			} else {
				const gchar* _tmp55_;
				const gchar* _tmp56_;
				const gchar* _tmp57_;
				gchar* _tmp58_;
#line 194 "../src/Widgets/AgendaEventRow.vala"
				_tmp55_ = start_date_string;
#line 194 "../src/Widgets/AgendaEventRow.vala"
				_tmp56_ = start_time_string;
#line 194 "../src/Widgets/AgendaEventRow.vala"
				_tmp57_ = end_time_string;
#line 194 "../src/Widgets/AgendaEventRow.vala"
				_tmp58_ = g_strdup_printf (_ ("%s, %s – %s"), _tmp55_, _tmp56_, _tmp57_);
#line 194 "../src/Widgets/AgendaEventRow.vala"
				_g_free0 (datetime_string);
#line 194 "../src/Widgets/AgendaEventRow.vala"
				datetime_string = _tmp58_;
#line 614 "AgendaEventRow.c"
			}
		}
	}
#line 199 "../src/Widgets/AgendaEventRow.vala"
	_tmp59_ = self->priv->datatime_label;
#line 199 "../src/Widgets/AgendaEventRow.vala"
	_tmp60_ = datetime_string;
#line 199 "../src/Widgets/AgendaEventRow.vala"
	_tmp61_ = g_strdup_printf ("<small>%s</small>", _tmp60_);
#line 199 "../src/Widgets/AgendaEventRow.vala"
	_tmp62_ = _tmp61_;
#line 199 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_label (_tmp59_, _tmp62_);
#line 199 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp62_);
#line 200 "../src/Widgets/AgendaEventRow.vala"
	_tmp63_ = self->priv->location_label;
#line 200 "../src/Widgets/AgendaEventRow.vala"
	_tmp64_ = ical_event;
#line 200 "../src/Widgets/AgendaEventRow.vala"
	_tmp65_ = icalcomponent_get_location (_tmp64_);
#line 200 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_label (_tmp63_, _tmp65_);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (datetime_string);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (end_time_string);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (start_time_string);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (end_date_string);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (start_date_string);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_date_time_unref0 (end_date);
#line 153 "../src/Widgets/AgendaEventRow.vala"
	_g_date_time_unref0 (start_date);
#line 652 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_reload_css (MayaViewAgendaEventRow* self,
                                       const gchar* background_color)
{
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp0_;
	GError * _inner_error_ = NULL;
#line 203 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 203 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (background_color != NULL);
#line 204 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 204 "../src/Widgets/AgendaEventRow.vala"
	provider = _tmp0_;
#line 671 "AgendaEventRow.c"
	{
		gchar* colored_css = NULL;
		gchar* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		GtkStyleContext* _tmp4_;
		GtkStyleContext* _tmp5_;
#line 206 "../src/Widgets/AgendaEventRow.vala"
		_tmp1_ = g_strdup_printf (EVENT_CSS, background_color);
#line 206 "../src/Widgets/AgendaEventRow.vala"
		colored_css = _tmp1_;
#line 207 "../src/Widgets/AgendaEventRow.vala"
		_tmp2_ = strlen (colored_css);
#line 207 "../src/Widgets/AgendaEventRow.vala"
		_tmp3_ = _tmp2_;
#line 207 "../src/Widgets/AgendaEventRow.vala"
		gtk_css_provider_load_from_data (provider, colored_css, (gssize) _tmp3_, &_inner_error_);
#line 207 "../src/Widgets/AgendaEventRow.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 207 "../src/Widgets/AgendaEventRow.vala"
			_g_free0 (colored_css);
#line 693 "AgendaEventRow.c"
			goto __catch22_g_error;
		}
#line 209 "../src/Widgets/AgendaEventRow.vala"
		_tmp4_ = self->priv->event_image_context;
#line 209 "../src/Widgets/AgendaEventRow.vala"
		gtk_style_context_add_provider (_tmp4_, (GtkStyleProvider*) provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 210 "../src/Widgets/AgendaEventRow.vala"
		_tmp5_ = self->priv->main_grid_context;
#line 210 "../src/Widgets/AgendaEventRow.vala"
		gtk_style_context_add_provider (_tmp5_, (GtkStyleProvider*) provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 205 "../src/Widgets/AgendaEventRow.vala"
		_g_free0 (colored_css);
#line 706 "AgendaEventRow.c"
	}
	goto __finally22;
	__catch22_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 205 "../src/Widgets/AgendaEventRow.vala"
		e = _inner_error_;
#line 205 "../src/Widgets/AgendaEventRow.vala"
		_inner_error_ = NULL;
#line 212 "../src/Widgets/AgendaEventRow.vala"
		_tmp6_ = e;
#line 212 "../src/Widgets/AgendaEventRow.vala"
		_tmp7_ = _tmp6_->message;
#line 212 "../src/Widgets/AgendaEventRow.vala"
		g_critical ("AgendaEventRow.vala:212: %s", _tmp7_);
#line 205 "../src/Widgets/AgendaEventRow.vala"
		_g_error_free0 (e);
#line 726 "AgendaEventRow.c"
	}
	__finally22:
#line 205 "../src/Widgets/AgendaEventRow.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 205 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (provider);
#line 205 "../src/Widgets/AgendaEventRow.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 205 "../src/Widgets/AgendaEventRow.vala"
		g_clear_error (&_inner_error_);
#line 205 "../src/Widgets/AgendaEventRow.vala"
		return;
#line 739 "AgendaEventRow.c"
	}
#line 203 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (provider);
#line 743 "AgendaEventRow.c"
}


ECalComponent*
maya_view_agenda_event_row_get_calevent (MayaViewAgendaEventRow* self)
{
	ECalComponent* result;
	ECalComponent* _tmp0_;
#line 29 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_calevent;
#line 29 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 29 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 760 "AgendaEventRow.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 29 "../src/Widgets/AgendaEventRow.vala"
	return self ? g_object_ref (self) : NULL;
#line 769 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_calevent (MayaViewAgendaEventRow* self,
                                         ECalComponent* value)
{
#line 29 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 29 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_calevent (self) != value) {
#line 781 "AgendaEventRow.c"
		ECalComponent* _tmp0_;
#line 29 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 29 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (self->priv->_calevent);
#line 29 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_calevent = _tmp0_;
#line 29 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY]);
#line 791 "AgendaEventRow.c"
	}
}


ESource*
maya_view_agenda_event_row_get_source (MayaViewAgendaEventRow* self)
{
	ESource* result;
	ESource* _tmp0_;
#line 30 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_source;
#line 30 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 30 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 809 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_source (MayaViewAgendaEventRow* self,
                                       ESource* value)
{
#line 30 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 30 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_source (self) != value) {
#line 821 "AgendaEventRow.c"
		ESource* _tmp0_;
#line 30 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 30 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (self->priv->_source);
#line 30 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_source = _tmp0_;
#line 30 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY]);
#line 831 "AgendaEventRow.c"
	}
}


gboolean
maya_view_agenda_event_row_get_is_upcoming (MayaViewAgendaEventRow* self)
{
	gboolean result;
	gboolean _tmp0_;
#line 31 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 31 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_is_upcoming;
#line 31 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 31 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 849 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_is_upcoming (MayaViewAgendaEventRow* self,
                                            gboolean value)
{
#line 31 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 31 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_is_upcoming (self) != value) {
#line 31 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_is_upcoming = value;
#line 31 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY]);
#line 865 "AgendaEventRow.c"
	}
}


const gchar*
maya_view_agenda_event_row_get_summary (MayaViewAgendaEventRow* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 33 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_summary;
#line 33 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 33 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 883 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_summary (MayaViewAgendaEventRow* self,
                                        const gchar* value)
{
#line 33 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 33 "../src/Widgets/AgendaEventRow.vala"
	if (g_strcmp0 (value, maya_view_agenda_event_row_get_summary (self)) != 0) {
#line 895 "AgendaEventRow.c"
		gchar* _tmp0_;
#line 33 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = g_strdup (value);
#line 33 "../src/Widgets/AgendaEventRow.vala"
		_g_free0 (self->priv->_summary);
#line 33 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_summary = _tmp0_;
#line 33 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY]);
#line 905 "AgendaEventRow.c"
	}
}


gboolean
maya_view_agenda_event_row_get_is_allday (MayaViewAgendaEventRow* self)
{
	gboolean result;
	gboolean _tmp0_;
#line 34 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_is_allday;
#line 34 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 34 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 923 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_is_allday (MayaViewAgendaEventRow* self,
                                          gboolean value)
{
#line 34 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 34 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_is_allday (self) != value) {
#line 34 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_is_allday = value;
#line 34 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY]);
#line 939 "AgendaEventRow.c"
	}
}


gboolean
maya_view_agenda_event_row_get_is_multiday (MayaViewAgendaEventRow* self)
{
	gboolean result;
	gboolean _tmp0_;
#line 35 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 35 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_is_multiday;
#line 35 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 35 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 957 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_is_multiday (MayaViewAgendaEventRow* self,
                                            gboolean value)
{
#line 35 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_is_multiday (self) != value) {
#line 35 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_is_multiday = value;
#line 35 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY]);
#line 973 "AgendaEventRow.c"
	}
}


GtkRevealer*
maya_view_agenda_event_row_get_revealer (MayaViewAgendaEventRow* self)
{
	GtkRevealer* result;
	GtkRevealer* _tmp0_;
#line 36 "../src/Widgets/AgendaEventRow.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 36 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_revealer;
#line 36 "../src/Widgets/AgendaEventRow.vala"
	result = _tmp0_;
#line 36 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 991 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_set_revealer (MayaViewAgendaEventRow* self,
                                         GtkRevealer* value)
{
#line 36 "../src/Widgets/AgendaEventRow.vala"
	g_return_if_fail (self != NULL);
#line 36 "../src/Widgets/AgendaEventRow.vala"
	if (maya_view_agenda_event_row_get_revealer (self) != value) {
#line 1003 "AgendaEventRow.c"
		GtkRevealer* _tmp0_;
#line 36 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 36 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (self->priv->_revealer);
#line 36 "../src/Widgets/AgendaEventRow.vala"
		self->priv->_revealer = _tmp0_;
#line 36 "../src/Widgets/AgendaEventRow.vala"
		g_object_notify_by_pspec ((GObject *) self, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY]);
#line 1013 "AgendaEventRow.c"
	}
}


static Block25Data*
block25_data_ref (Block25Data* _data25_)
{
#line 52 "../src/Widgets/AgendaEventRow.vala"
	g_atomic_int_inc (&_data25_->_ref_count_);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	return _data25_;
#line 1025 "AgendaEventRow.c"
}


static void
block25_data_unref (void * _userdata_)
{
	Block25Data* _data25_;
	_data25_ = (Block25Data*) _userdata_;
#line 52 "../src/Widgets/AgendaEventRow.vala"
	if (g_atomic_int_dec_and_test (&_data25_->_ref_count_)) {
#line 1036 "AgendaEventRow.c"
		MayaViewAgendaEventRow* self;
#line 52 "../src/Widgets/AgendaEventRow.vala"
		self = _data25_->self;
#line 52 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (_data25_->cal);
#line 52 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (_data25_->location_revealer);
#line 52 "../src/Widgets/AgendaEventRow.vala"
		_g_object_unref0 (self);
#line 52 "../src/Widgets/AgendaEventRow.vala"
		g_slice_free (Block25Data, _data25_);
#line 1048 "AgendaEventRow.c"
	}
}


static void
_maya_view_agenda_event_row___lambda192_ (Block25Data* _data25_)
{
	MayaViewAgendaEventRow* self;
	ESourceCalendar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
#line 114 "../src/Widgets/AgendaEventRow.vala"
	self = _data25_->self;
#line 115 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = _data25_->cal;
#line 115 "../src/Widgets/AgendaEventRow.vala"
	_tmp1_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp0_);
#line 115 "../src/Widgets/AgendaEventRow.vala"
	_tmp2_ = _tmp1_;
#line 115 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_reload_css (self, _tmp2_);
#line 115 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp2_);
#line 1072 "AgendaEventRow.c"
}


static void
__maya_view_agenda_event_row___lambda192__g_object_notify (GObject* _sender,
                                                           GParamSpec* pspec,
                                                           gpointer self)
{
#line 114 "../src/Widgets/AgendaEventRow.vala"
	_maya_view_agenda_event_row___lambda192_ (self);
#line 1083 "AgendaEventRow.c"
}


static void
_maya_view_agenda_event_row___lambda193_ (Block25Data* _data25_)
{
	MayaViewAgendaEventRow* self;
	gboolean _tmp0_ = FALSE;
	GtkLabel* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GtkRevealer* _tmp7_;
#line 118 "../src/Widgets/AgendaEventRow.vala"
	self = _data25_->self;
#line 119 "../src/Widgets/AgendaEventRow.vala"
	_tmp1_ = self->priv->location_label;
#line 119 "../src/Widgets/AgendaEventRow.vala"
	_tmp2_ = gtk_label_get_label (_tmp1_);
#line 119 "../src/Widgets/AgendaEventRow.vala"
	_tmp3_ = _tmp2_;
#line 119 "../src/Widgets/AgendaEventRow.vala"
	if (_tmp3_ != NULL) {
#line 1106 "AgendaEventRow.c"
		GtkLabel* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
#line 119 "../src/Widgets/AgendaEventRow.vala"
		_tmp4_ = self->priv->location_label;
#line 119 "../src/Widgets/AgendaEventRow.vala"
		_tmp5_ = gtk_label_get_label (_tmp4_);
#line 119 "../src/Widgets/AgendaEventRow.vala"
		_tmp6_ = _tmp5_;
#line 119 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = g_strcmp0 (_tmp6_, "") != 0;
#line 1118 "AgendaEventRow.c"
	} else {
#line 119 "../src/Widgets/AgendaEventRow.vala"
		_tmp0_ = FALSE;
#line 1122 "AgendaEventRow.c"
	}
#line 119 "../src/Widgets/AgendaEventRow.vala"
	_tmp7_ = _data25_->location_revealer;
#line 119 "../src/Widgets/AgendaEventRow.vala"
	gtk_revealer_set_reveal_child (_tmp7_, _tmp0_);
#line 1128 "AgendaEventRow.c"
}


static void
__maya_view_agenda_event_row___lambda193__g_object_notify (GObject* _sender,
                                                           GParamSpec* pspec,
                                                           gpointer self)
{
#line 118 "../src/Widgets/AgendaEventRow.vala"
	_maya_view_agenda_event_row___lambda193_ (self);
#line 1139 "AgendaEventRow.c"
}


static void
_maya_view_agenda_event_row___lambda194_ (MayaViewAgendaEventRow* self)
{
	GtkRevealer* _tmp0_;
#line 123 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_revealer;
#line 123 "../src/Widgets/AgendaEventRow.vala"
	gtk_revealer_set_reveal_child (_tmp0_, TRUE);
#line 1151 "AgendaEventRow.c"
}


static void
__maya_view_agenda_event_row___lambda194__gtk_widget_show (GtkWidget* _sender,
                                                           gpointer self)
{
#line 122 "../src/Widgets/AgendaEventRow.vala"
	_maya_view_agenda_event_row___lambda194_ ((MayaViewAgendaEventRow*) self);
#line 1161 "AgendaEventRow.c"
}


static void
_maya_view_agenda_event_row___lambda195_ (MayaViewAgendaEventRow* self)
{
	GtkRevealer* _tmp0_;
#line 127 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = self->priv->_revealer;
#line 127 "../src/Widgets/AgendaEventRow.vala"
	gtk_revealer_set_reveal_child (_tmp0_, FALSE);
#line 1173 "AgendaEventRow.c"
}


static void
__maya_view_agenda_event_row___lambda195__gtk_widget_hide (GtkWidget* _sender,
                                                           gpointer self)
{
#line 126 "../src/Widgets/AgendaEventRow.vala"
	_maya_view_agenda_event_row___lambda195_ ((MayaViewAgendaEventRow*) self);
#line 1183 "AgendaEventRow.c"
}


static gboolean
_maya_view_agenda_event_row_on_button_press_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                           GdkEventButton* event,
                                                                           gpointer self)
{
	gboolean result;
	result = maya_view_agenda_event_row_on_button_press ((MayaViewAgendaEventRow*) self, event);
#line 131 "../src/Widgets/AgendaEventRow.vala"
	return result;
#line 1196 "AgendaEventRow.c"
}


static GObject *
maya_view_agenda_event_row_constructor (GType type,
                                        guint n_construct_properties,
                                        GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MayaViewAgendaEventRow * self;
	Block25Data* _data25_;
	GtkCssProvider* css_provider = NULL;
	GtkCssProvider* _tmp0_;
	GtkCssProvider* _tmp1_;
	GtkImage* event_image = NULL;
	GtkImage* _tmp2_;
	GtkImage* _tmp3_;
	GtkImage* _tmp4_;
	GtkStyleContext* _tmp5_;
	GtkStyleContext* _tmp6_;
	GtkStyleContext* _tmp7_;
	GtkCssProvider* _tmp8_;
	GtkLabel* _tmp9_;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkStyleContext* name_label_context = NULL;
	GtkLabel* _tmp14_;
	GtkStyleContext* _tmp15_;
	GtkStyleContext* _tmp16_;
	GtkStyleContext* _tmp17_;
	GtkStyleContext* _tmp18_;
	GtkCssProvider* _tmp19_;
	GtkLabel* _tmp20_;
	GtkLabel* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* _tmp24_;
	GtkLabel* _tmp25_;
	GtkLabel* _tmp26_;
	GtkStyleContext* _tmp27_;
	GtkLabel* _tmp28_;
	GtkLabel* _tmp29_;
	GtkLabel* _tmp30_;
	GtkLabel* _tmp31_;
	GtkLabel* _tmp32_;
	GtkRevealer* _tmp33_;
	GtkRevealer* _tmp34_;
	GtkLabel* _tmp35_;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp36_;
	GtkGrid* _tmp37_;
	GtkGrid* _tmp38_;
	GtkGrid* _tmp39_;
	GtkGrid* _tmp40_;
	GtkGrid* _tmp41_;
	GtkImage* _tmp42_;
	GtkGrid* _tmp43_;
	GtkLabel* _tmp44_;
	GtkGrid* _tmp45_;
	GtkLabel* _tmp46_;
	GtkGrid* _tmp47_;
	GtkRevealer* _tmp48_;
	GtkGrid* _tmp49_;
	GtkStyleContext* _tmp50_;
	GtkStyleContext* _tmp51_;
	GtkStyleContext* _tmp52_;
	GtkStyleContext* _tmp53_;
	GtkCssProvider* _tmp54_;
	GtkEventBox* event_box = NULL;
	GtkEventBox* _tmp55_;
	GtkEventBox* _tmp56_;
	GtkGrid* _tmp57_;
	GtkRevealer* _tmp58_;
	GtkRevealer* _tmp59_;
	GtkRevealer* _tmp60_;
	GtkRevealer* _tmp61_;
	GtkEventBox* _tmp62_;
	GtkRevealer* _tmp63_;
	ESource* _tmp64_;
	ESourceExtension* _tmp65_;
	ESourceCalendar* _tmp66_;
	ESourceCalendar* _tmp67_;
	gchar* _tmp68_;
	gchar* _tmp69_;
	ESourceCalendar* _tmp70_;
	GtkLabel* _tmp71_;
	ECalComponent* _tmp72_;
#line 52 "../src/Widgets/AgendaEventRow.vala"
	parent_class = G_OBJECT_CLASS (maya_view_agenda_event_row_parent_class);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRow);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_data25_ = g_slice_new0 (Block25Data);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_data25_->_ref_count_ = 1;
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_data25_->self = g_object_ref (self);
#line 53 "../src/Widgets/AgendaEventRow.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 53 "../src/Widgets/AgendaEventRow.vala"
	css_provider = _tmp0_;
#line 54 "../src/Widgets/AgendaEventRow.vala"
	_tmp1_ = css_provider;
#line 54 "../src/Widgets/AgendaEventRow.vala"
	gtk_css_provider_load_from_resource (_tmp1_, "/io/elementary/calendar/AgendaEventRow.css");
#line 56 "../src/Widgets/AgendaEventRow.vala"
	_tmp2_ = (GtkImage*) gtk_image_new_from_icon_name ("office-calendar-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 56 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp2_);
#line 56 "../src/Widgets/AgendaEventRow.vala"
	event_image = _tmp2_;
#line 57 "../src/Widgets/AgendaEventRow.vala"
	_tmp3_ = event_image;
#line 57 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp3_, GTK_ALIGN_START);
#line 59 "../src/Widgets/AgendaEventRow.vala"
	_tmp4_ = event_image;
#line 59 "../src/Widgets/AgendaEventRow.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) _tmp4_);
#line 59 "../src/Widgets/AgendaEventRow.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 59 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->event_image_context);
#line 59 "../src/Widgets/AgendaEventRow.vala"
	self->priv->event_image_context = _tmp6_;
#line 60 "../src/Widgets/AgendaEventRow.vala"
	_tmp7_ = self->priv->event_image_context;
#line 60 "../src/Widgets/AgendaEventRow.vala"
	_tmp8_ = css_provider;
#line 60 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_provider (_tmp7_, (GtkStyleProvider*) _tmp8_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 62 "../src/Widgets/AgendaEventRow.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new ("");
#line 62 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp9_);
#line 62 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->name_label);
#line 62 "../src/Widgets/AgendaEventRow.vala"
	self->priv->name_label = _tmp9_;
#line 63 "../src/Widgets/AgendaEventRow.vala"
	_tmp10_ = self->priv->name_label;
#line 63 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_selectable (_tmp10_, TRUE);
#line 64 "../src/Widgets/AgendaEventRow.vala"
	_tmp11_ = self->priv->name_label;
#line 64 "../src/Widgets/AgendaEventRow.vala"
	g_object_set (_tmp11_, "wrap", TRUE, NULL);
#line 65 "../src/Widgets/AgendaEventRow.vala"
	_tmp12_ = self->priv->name_label;
#line 65 "../src/Widgets/AgendaEventRow.vala"
	g_object_set (_tmp12_, "wrap-mode", PANGO_WRAP_WORD_CHAR, NULL);
#line 66 "../src/Widgets/AgendaEventRow.vala"
	_tmp13_ = self->priv->name_label;
#line 66 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_xalign (_tmp13_, (gfloat) 0);
#line 68 "../src/Widgets/AgendaEventRow.vala"
	_tmp14_ = self->priv->name_label;
#line 68 "../src/Widgets/AgendaEventRow.vala"
	_tmp15_ = gtk_widget_get_style_context ((GtkWidget*) _tmp14_);
#line 68 "../src/Widgets/AgendaEventRow.vala"
	_tmp16_ = _g_object_ref0 (_tmp15_);
#line 68 "../src/Widgets/AgendaEventRow.vala"
	name_label_context = _tmp16_;
#line 69 "../src/Widgets/AgendaEventRow.vala"
	_tmp17_ = name_label_context;
#line 69 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_class (_tmp17_, "title");
#line 70 "../src/Widgets/AgendaEventRow.vala"
	_tmp18_ = name_label_context;
#line 70 "../src/Widgets/AgendaEventRow.vala"
	_tmp19_ = css_provider;
#line 70 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_provider (_tmp18_, (GtkStyleProvider*) _tmp19_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 72 "../src/Widgets/AgendaEventRow.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("");
#line 72 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp20_);
#line 72 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->datatime_label);
#line 72 "../src/Widgets/AgendaEventRow.vala"
	self->priv->datatime_label = _tmp20_;
#line 73 "../src/Widgets/AgendaEventRow.vala"
	_tmp21_ = self->priv->datatime_label;
#line 73 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_ellipsize (_tmp21_, PANGO_ELLIPSIZE_END);
#line 74 "../src/Widgets/AgendaEventRow.vala"
	_tmp22_ = self->priv->datatime_label;
#line 74 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp22_, GTK_ALIGN_START);
#line 75 "../src/Widgets/AgendaEventRow.vala"
	_tmp23_ = self->priv->datatime_label;
#line 75 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_selectable (_tmp23_, TRUE);
#line 76 "../src/Widgets/AgendaEventRow.vala"
	_tmp24_ = self->priv->datatime_label;
#line 76 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_use_markup (_tmp24_, TRUE);
#line 77 "../src/Widgets/AgendaEventRow.vala"
	_tmp25_ = self->priv->datatime_label;
#line 77 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_xalign (_tmp25_, (gfloat) 0);
#line 78 "../src/Widgets/AgendaEventRow.vala"
	_tmp26_ = self->priv->datatime_label;
#line 78 "../src/Widgets/AgendaEventRow.vala"
	_tmp27_ = gtk_widget_get_style_context ((GtkWidget*) _tmp26_);
#line 78 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_class (_tmp27_, GTK_STYLE_CLASS_DIM_LABEL);
#line 80 "../src/Widgets/AgendaEventRow.vala"
	_tmp28_ = (GtkLabel*) gtk_label_new ("");
#line 80 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp28_);
#line 80 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->location_label);
#line 80 "../src/Widgets/AgendaEventRow.vala"
	self->priv->location_label = _tmp28_;
#line 81 "../src/Widgets/AgendaEventRow.vala"
	_tmp29_ = self->priv->location_label;
#line 81 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp29_, 6);
#line 82 "../src/Widgets/AgendaEventRow.vala"
	_tmp30_ = self->priv->location_label;
#line 82 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_selectable (_tmp30_, TRUE);
#line 83 "../src/Widgets/AgendaEventRow.vala"
	_tmp31_ = self->priv->location_label;
#line 83 "../src/Widgets/AgendaEventRow.vala"
	g_object_set (_tmp31_, "wrap", TRUE, NULL);
#line 84 "../src/Widgets/AgendaEventRow.vala"
	_tmp32_ = self->priv->location_label;
#line 84 "../src/Widgets/AgendaEventRow.vala"
	gtk_label_set_xalign (_tmp32_, (gfloat) 0);
#line 86 "../src/Widgets/AgendaEventRow.vala"
	_tmp33_ = (GtkRevealer*) gtk_revealer_new ();
#line 86 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp33_);
#line 86 "../src/Widgets/AgendaEventRow.vala"
	_data25_->location_revealer = _tmp33_;
#line 87 "../src/Widgets/AgendaEventRow.vala"
	_tmp34_ = _data25_->location_revealer;
#line 87 "../src/Widgets/AgendaEventRow.vala"
	_tmp35_ = self->priv->location_label;
#line 87 "../src/Widgets/AgendaEventRow.vala"
	gtk_container_add ((GtkContainer*) _tmp34_, (GtkWidget*) _tmp35_);
#line 89 "../src/Widgets/AgendaEventRow.vala"
	_tmp36_ = (GtkGrid*) gtk_grid_new ();
#line 89 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp36_);
#line 89 "../src/Widgets/AgendaEventRow.vala"
	main_grid = _tmp36_;
#line 90 "../src/Widgets/AgendaEventRow.vala"
	_tmp37_ = main_grid;
#line 90 "../src/Widgets/AgendaEventRow.vala"
	gtk_grid_set_column_spacing (_tmp37_, 6);
#line 91 "../src/Widgets/AgendaEventRow.vala"
	_tmp38_ = main_grid;
#line 91 "../src/Widgets/AgendaEventRow.vala"
	g_object_set ((GtkWidget*) _tmp38_, "margin", 6, NULL);
#line 92 "../src/Widgets/AgendaEventRow.vala"
	_tmp39_ = main_grid;
#line 92 "../src/Widgets/AgendaEventRow.vala"
	_tmp40_ = main_grid;
#line 92 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp40_, 12);
#line 92 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp39_, 12);
#line 93 "../src/Widgets/AgendaEventRow.vala"
	_tmp41_ = main_grid;
#line 93 "../src/Widgets/AgendaEventRow.vala"
	_tmp42_ = event_image;
#line 93 "../src/Widgets/AgendaEventRow.vala"
	gtk_grid_attach (_tmp41_, (GtkWidget*) _tmp42_, 0, 0, 1, 1);
#line 94 "../src/Widgets/AgendaEventRow.vala"
	_tmp43_ = main_grid;
#line 94 "../src/Widgets/AgendaEventRow.vala"
	_tmp44_ = self->priv->name_label;
#line 94 "../src/Widgets/AgendaEventRow.vala"
	gtk_grid_attach (_tmp43_, (GtkWidget*) _tmp44_, 1, 0, 1, 1);
#line 95 "../src/Widgets/AgendaEventRow.vala"
	_tmp45_ = main_grid;
#line 95 "../src/Widgets/AgendaEventRow.vala"
	_tmp46_ = self->priv->datatime_label;
#line 95 "../src/Widgets/AgendaEventRow.vala"
	gtk_grid_attach (_tmp45_, (GtkWidget*) _tmp46_, 1, 1, 1, 1);
#line 96 "../src/Widgets/AgendaEventRow.vala"
	_tmp47_ = main_grid;
#line 96 "../src/Widgets/AgendaEventRow.vala"
	_tmp48_ = _data25_->location_revealer;
#line 96 "../src/Widgets/AgendaEventRow.vala"
	gtk_grid_attach (_tmp47_, (GtkWidget*) _tmp48_, 1, 2, 1, 1);
#line 98 "../src/Widgets/AgendaEventRow.vala"
	_tmp49_ = main_grid;
#line 98 "../src/Widgets/AgendaEventRow.vala"
	_tmp50_ = gtk_widget_get_style_context ((GtkWidget*) _tmp49_);
#line 98 "../src/Widgets/AgendaEventRow.vala"
	_tmp51_ = _g_object_ref0 (_tmp50_);
#line 98 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->main_grid_context);
#line 98 "../src/Widgets/AgendaEventRow.vala"
	self->priv->main_grid_context = _tmp51_;
#line 99 "../src/Widgets/AgendaEventRow.vala"
	_tmp52_ = self->priv->main_grid_context;
#line 99 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_class (_tmp52_, "event");
#line 100 "../src/Widgets/AgendaEventRow.vala"
	_tmp53_ = self->priv->main_grid_context;
#line 100 "../src/Widgets/AgendaEventRow.vala"
	_tmp54_ = css_provider;
#line 100 "../src/Widgets/AgendaEventRow.vala"
	gtk_style_context_add_provider (_tmp53_, (GtkStyleProvider*) _tmp54_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 102 "../src/Widgets/AgendaEventRow.vala"
	_tmp55_ = (GtkEventBox*) gtk_event_box_new ();
#line 102 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp55_);
#line 102 "../src/Widgets/AgendaEventRow.vala"
	event_box = _tmp55_;
#line 103 "../src/Widgets/AgendaEventRow.vala"
	_tmp56_ = event_box;
#line 103 "../src/Widgets/AgendaEventRow.vala"
	_tmp57_ = main_grid;
#line 103 "../src/Widgets/AgendaEventRow.vala"
	gtk_container_add ((GtkContainer*) _tmp56_, (GtkWidget*) _tmp57_);
#line 105 "../src/Widgets/AgendaEventRow.vala"
	_tmp58_ = (GtkRevealer*) gtk_revealer_new ();
#line 105 "../src/Widgets/AgendaEventRow.vala"
	g_object_ref_sink (_tmp58_);
#line 105 "../src/Widgets/AgendaEventRow.vala"
	_tmp59_ = _tmp58_;
#line 105 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_set_revealer (self, _tmp59_);
#line 105 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (_tmp59_);
#line 106 "../src/Widgets/AgendaEventRow.vala"
	_tmp60_ = self->priv->_revealer;
#line 106 "../src/Widgets/AgendaEventRow.vala"
	gtk_revealer_set_transition_type (_tmp60_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
#line 107 "../src/Widgets/AgendaEventRow.vala"
	_tmp61_ = self->priv->_revealer;
#line 107 "../src/Widgets/AgendaEventRow.vala"
	_tmp62_ = event_box;
#line 107 "../src/Widgets/AgendaEventRow.vala"
	gtk_container_add ((GtkContainer*) _tmp61_, (GtkWidget*) _tmp62_);
#line 108 "../src/Widgets/AgendaEventRow.vala"
	_tmp63_ = self->priv->_revealer;
#line 108 "../src/Widgets/AgendaEventRow.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp63_);
#line 110 "../src/Widgets/AgendaEventRow.vala"
	_tmp64_ = self->priv->_source;
#line 110 "../src/Widgets/AgendaEventRow.vala"
	_tmp65_ = e_source_get_extension (_tmp64_, E_SOURCE_EXTENSION_CALENDAR);
#line 110 "../src/Widgets/AgendaEventRow.vala"
	_tmp66_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp65_, e_source_calendar_get_type (), ESourceCalendar));
#line 110 "../src/Widgets/AgendaEventRow.vala"
	_data25_->cal = _tmp66_;
#line 112 "../src/Widgets/AgendaEventRow.vala"
	_tmp67_ = _data25_->cal;
#line 112 "../src/Widgets/AgendaEventRow.vala"
	_tmp68_ = e_source_selectable_dup_color ((ESourceSelectable*) _tmp67_);
#line 112 "../src/Widgets/AgendaEventRow.vala"
	_tmp69_ = _tmp68_;
#line 112 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_reload_css (self, _tmp69_);
#line 112 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (_tmp69_);
#line 114 "../src/Widgets/AgendaEventRow.vala"
	_tmp70_ = _data25_->cal;
#line 114 "../src/Widgets/AgendaEventRow.vala"
	g_signal_connect_data ((GObject*) _tmp70_, "notify::color", (GCallback) __maya_view_agenda_event_row___lambda192__g_object_notify, block25_data_ref (_data25_), (GClosureNotify) block25_data_unref, 0);
#line 118 "../src/Widgets/AgendaEventRow.vala"
	_tmp71_ = self->priv->location_label;
#line 118 "../src/Widgets/AgendaEventRow.vala"
	g_signal_connect_data ((GObject*) _tmp71_, "notify::label", (GCallback) __maya_view_agenda_event_row___lambda193__g_object_notify, block25_data_ref (_data25_), (GClosureNotify) block25_data_unref, 0);
#line 122 "../src/Widgets/AgendaEventRow.vala"
	g_signal_connect_object ((GtkWidget*) self, "show", (GCallback) __maya_view_agenda_event_row___lambda194__gtk_widget_show, self, 0);
#line 126 "../src/Widgets/AgendaEventRow.vala"
	g_signal_connect_object ((GtkWidget*) self, "hide", (GCallback) __maya_view_agenda_event_row___lambda195__gtk_widget_hide, self, 0);
#line 130 "../src/Widgets/AgendaEventRow.vala"
	gtk_widget_add_events ((GtkWidget*) self, (gint) GDK_BUTTON_PRESS_MASK);
#line 131 "../src/Widgets/AgendaEventRow.vala"
	g_signal_connect_object ((GtkWidget*) self, "button-press-event", (GCallback) _maya_view_agenda_event_row_on_button_press_gtk_widget_button_press_event, self, 0);
#line 134 "../src/Widgets/AgendaEventRow.vala"
	_tmp72_ = self->priv->_calevent;
#line 134 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_update (self, _tmp72_);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (event_box);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (main_grid);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (name_label_context);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (event_image);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (css_provider);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	block25_data_unref (_data25_);
#line 52 "../src/Widgets/AgendaEventRow.vala"
	_data25_ = NULL;
#line 52 "../src/Widgets/AgendaEventRow.vala"
	return obj;
#line 1601 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_class_init (MayaViewAgendaEventRowClass * klass)
{
#line 26 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_parent_class = g_type_class_peek_parent (klass);
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_type_class_adjust_private_offset (klass, &MayaViewAgendaEventRow_private_offset);
#line 26 "../src/Widgets/AgendaEventRow.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_maya_view_agenda_event_row_get_property;
#line 26 "../src/Widgets/AgendaEventRow.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_maya_view_agenda_event_row_set_property;
#line 26 "../src/Widgets/AgendaEventRow.vala"
	G_OBJECT_CLASS (klass)->constructor = maya_view_agenda_event_row_constructor;
#line 26 "../src/Widgets/AgendaEventRow.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_view_agenda_event_row_finalize;
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY] = g_param_spec_object ("calevent", "calevent", "calevent", e_cal_component_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY] = g_param_spec_object ("source", "source", "source", e_source_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY] = g_param_spec_boolean ("is-upcoming", "is-upcoming", "is-upcoming", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY] = g_param_spec_string ("summary", "summary", "summary", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY] = g_param_spec_boolean ("is-allday", "is-allday", "is-allday", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY] = g_param_spec_boolean ("is-multiday", "is-multiday", "is-multiday", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY, maya_view_agenda_event_row_properties[MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY] = g_param_spec_object ("revealer", "revealer", "revealer", gtk_revealer_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "../src/Widgets/AgendaEventRow.vala"
	maya_view_agenda_event_row_signals[MAYA_VIEW_AGENDA_EVENT_ROW_REMOVED_SIGNAL] = g_signal_new ("removed", MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, e_cal_component_get_type ());
#line 1636 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_instance_init (MayaViewAgendaEventRow * self)
{
#line 26 "../src/Widgets/AgendaEventRow.vala"
	self->priv = maya_view_agenda_event_row_get_instance_private (self);
#line 34 "../src/Widgets/AgendaEventRow.vala"
	self->priv->_is_allday = FALSE;
#line 35 "../src/Widgets/AgendaEventRow.vala"
	self->priv->_is_multiday = FALSE;
#line 1649 "AgendaEventRow.c"
}


static void
maya_view_agenda_event_row_finalize (GObject * obj)
{
	MayaViewAgendaEventRow * self;
#line 26 "../src/Widgets/AgendaEventRow.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRow);
#line 29 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->_calevent);
#line 30 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->_source);
#line 33 "../src/Widgets/AgendaEventRow.vala"
	_g_free0 (self->priv->_summary);
#line 36 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->_revealer);
#line 38 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->name_label);
#line 39 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->datatime_label);
#line 40 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->location_label);
#line 41 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->event_image_context);
#line 42 "../src/Widgets/AgendaEventRow.vala"
	_g_object_unref0 (self->priv->main_grid_context);
#line 26 "../src/Widgets/AgendaEventRow.vala"
	G_OBJECT_CLASS (maya_view_agenda_event_row_parent_class)->finalize (obj);
#line 1679 "AgendaEventRow.c"
}


GType
maya_view_agenda_event_row_get_type (void)
{
	static volatile gsize maya_view_agenda_event_row_type_id__volatile = 0;
	if (g_once_init_enter (&maya_view_agenda_event_row_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaViewAgendaEventRowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_view_agenda_event_row_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaViewAgendaEventRow), 0, (GInstanceInitFunc) maya_view_agenda_event_row_instance_init, NULL };
		GType maya_view_agenda_event_row_type_id;
		maya_view_agenda_event_row_type_id = g_type_register_static (gtk_list_box_row_get_type (), "MayaViewAgendaEventRow", &g_define_type_info, 0);
		MayaViewAgendaEventRow_private_offset = g_type_add_instance_private (maya_view_agenda_event_row_type_id, sizeof (MayaViewAgendaEventRowPrivate));
		g_once_init_leave (&maya_view_agenda_event_row_type_id__volatile, maya_view_agenda_event_row_type_id);
	}
	return maya_view_agenda_event_row_type_id__volatile;
}


static void
_vala_maya_view_agenda_event_row_get_property (GObject * object,
                                               guint property_id,
                                               GValue * value,
                                               GParamSpec * pspec)
{
	MayaViewAgendaEventRow * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRow);
#line 26 "../src/Widgets/AgendaEventRow.vala"
	switch (property_id) {
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_object (value, maya_view_agenda_event_row_get_calevent (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_object (value, maya_view_agenda_event_row_get_source (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_boolean (value, maya_view_agenda_event_row_get_is_upcoming (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_string (value, maya_view_agenda_event_row_get_summary (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_boolean (value, maya_view_agenda_event_row_get_is_allday (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_boolean (value, maya_view_agenda_event_row_get_is_multiday (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		g_value_set_object (value, maya_view_agenda_event_row_get_revealer (self));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 1750 "AgendaEventRow.c"
		default:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 1756 "AgendaEventRow.c"
	}
}


static void
_vala_maya_view_agenda_event_row_set_property (GObject * object,
                                               guint property_id,
                                               const GValue * value,
                                               GParamSpec * pspec)
{
	MayaViewAgendaEventRow * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MAYA_VIEW_TYPE_AGENDA_EVENT_ROW, MayaViewAgendaEventRow);
#line 26 "../src/Widgets/AgendaEventRow.vala"
	switch (property_id) {
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_CALEVENT_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_calevent (self, g_value_get_object (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_SOURCE_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_source (self, g_value_get_object (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_UPCOMING_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_is_upcoming (self, g_value_get_boolean (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_SUMMARY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_summary (self, g_value_get_string (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_ALLDAY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_is_allday (self, g_value_get_boolean (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_IS_MULTIDAY_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_is_multiday (self, g_value_get_boolean (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 26 "../src/Widgets/AgendaEventRow.vala"
		case MAYA_VIEW_AGENDA_EVENT_ROW_REVEALER_PROPERTY:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		maya_view_agenda_event_row_set_revealer (self, g_value_get_object (value));
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 1813 "AgendaEventRow.c"
		default:
#line 26 "../src/Widgets/AgendaEventRow.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "../src/Widgets/AgendaEventRow.vala"
		break;
#line 1819 "AgendaEventRow.c"
	}
}



